<?php
@error_reporting (E_ALL ^ E_WARNING ^ E_DEPRECATED ^ E_NOTICE);
@ini_set ('error_reporting', E_ALL ^ E_WARNING ^ E_DEPRECATED ^ E_NOTICE);

@ini_set ('display_errors', true);
@ini_set ('html_errors', true);

define ('ANL', true);
define ('ROOT_DIR', dirname ( __FILE__ ));
define ('ENGINE_DIR', ROOT_DIR . '/modules' );
define ('CONFIG_DIR', ROOT_DIR . '/config' );
define ('ADMIN_DIR', ENGINE_DIR . '/admin' );

require_once CONFIG_DIR .'/dbconfig.php';
require_once CONFIG_DIR . '/settings.php';
require_once ENGINE_DIR . '/libs/functions.php';
require_once ENGINE_DIR . '/libs/template.class.php';
require_once ENGINE_DIR . '/sitelogin.php';

$infomessage = "";

if (isset ($is_logged) AND $member_id['user_id'] == 1) {

    if (isset ($_GET['module']) AND $_GET['module'] != "") {

        if (preg_match ( "/[\||\'|\<|\>|\[|\]|\"|\!|\?|\$|\@|\/|\\\|\&\~\*\{\+]/", $_GET['module'])) die ('Error: Access denied');
        else $module = trim (strip_tags ($_GET['module']));

    } else {

        $module = "main";

    }

	if ($module == 'main') {

		require_once ADMIN_DIR . '/' . 'info.php';

	} elseif (@file_exists (ADMIN_DIR . '/' . $module . '.php' )) {

		require_once ADMIN_DIR . '/' . $module . '.php';

	} else {

		$infomessage = "Файл выбранного раздела админпанели не найден";

	}

    $template = new template (TEMPLATES_DIR_ADM);
    $template->open ('main.tpl', 'admin');
	$template->set ('theme', "/modules/admin/skin", 'admin');
	$template->set ('user', $member_id['login'], 'admin');
    $template->set ('content', $content, 'admin');
    $template->set ('info', $infomessage, 'admin');
    echo $template->compile ('admin', true);

} else {

    $template = new template (TEMPLATES_DIR_ADM);
    $template->open ('login.tpl', 'login');
	$template->set ('theme', "/modules/admin/skin", 'login');
    if ($infomessage == true) {
        $template->set_block ('info', '', 'login');
        $template->set ('info', $infomessage, 'login');
    }
    echo $template->compile ('login', true);

}

?>