<?php
if (!defined ('ANL')){
	die ("Error: Access denied");
}

//Запись настроек
if (isset ($_GET['module']) AND $_GET['module'] == "options" AND isset ($_POST['save_conf'])) {

	if ($_POST['hash'] == "" OR $_POST['hash'] != $_SESSION['hash']) {
		die ("Error: Access denied");
	}

	$save_conf = $_POST['save_config'];

    $find[] = "'\r'";
	$replace[] = "";
	$find[] = "'\n'";
	$replace[] = "";

	$save_conf = $save_conf + $config;

	$handler = fopen (CONFIG_DIR . '/settings.php', "w");
	fwrite ($handler, "<?php \n\$config = array (\n");

	foreach ($save_conf as $name => $value) {
		$value = trim (strip_tags (stripslashes ($value)));
		$value = htmlspecialchars ($value, ENT_QUOTES);
		$value = preg_replace ($find, $replace, $value);
		$name = trim (strip_tags (stripslashes ($name)));
		$name = htmlspecialchars ($name, ENT_QUOTES);
		$name = preg_replace ($find, $replace, $name);
		fwrite ($handler, "'{$name}' => \"{$value}\",\n");
	}

	fwrite ($handler, ");\n\n?>");
	fclose ($handler);

	$infomessage = "<div class=\"message success\"><p>Настройки успешно сохранены! <a href=\"javascript:history.back();\">Вернуться назад</a></p></div>";

} else {

	function showRow ($title = "", $description = "", $name = "", $field = ""){
		$content = "
		<tr>
			<td width=\"60%\" class=\"spec\">$title<br />$description</td>
			<td width=\"40%\"><input type=\"text\" name=\"save_config[$name]\" value=\"$field\" class=\"input-big\"></td>
		</tr>";
		return $content;
	}

	function showRowS ($title = "", $description = "", $field = ""){
		$content = "
        <tr>
			<td width=\"60%\" class=\"spec\">$title<br />$description</td>
			<td width=\"40%\">$field</td>
		</tr>";
		return $content;
	}

	function snowSelect ($options, $name, $selected){
		$output = "<select name=\"save_config[$name]\">";
		foreach ( $options as $value => $description ){
			$output .= "<option value=\"$value\"";
			if( $selected == $value ) {
				$output .= " selected ";
			}
			$output .= ">$description</option>";
		}
		$output .= "</select>";
		return $output;
	}

	if (!$handle = opendir ("./templates")) {
		die ("Невозможно открыть директорию /templates/");
	}

	while (false !== ($file = readdir ($handle))) {
		if (is_dir("./templates/$file") and ($file != "." and $file != "..")) {
			$config_skins_arr[$file] = $file;
		}
	}

	closedir( $handle );

    $hash = sha1 ($_SERVER['HTTP_HOST'] . get_rand_str (25) . md5 (DB_HOST . DB_NAME . DB_LOGIN . DB_PASS));
    $_SESSION['hash'] = $hash;

    $content = <<<HTML
                        <form action="/admin.php?module=options" class="form-contact" method="post">
                            <div class="jquery_tab">
                                <div class="content_block">
                                    <h2 class="jquery_tab_title">Основные</h2>
                                    <table id="table_liquid" cellspacing="0">
                                        <caption>&nbsp;</caption>
HTML;

	$content .= showRow ("Название сайта:", "например: \"Моя домашняя страница\"", "title", $config['title']);
	$content .= showRow ("Описание (Description) сайта:", "Краткое описание, не более 200 символов", "description", $config['description']);
	$content .= showRow ("Ключевые слова (Keywords) для сайта:", "Введите через запятую основные ключевые слова для вашего сайта", "keywords", $config['keywords']);
	$content .= showRow ("Используемая кодировка на сайте:", "Укажите кодировку, которую использует ваш сайт (рекомендуется utf-8)", "charset", $config['charset']);
	$content .= showRowS ("Шаблон сайта по умолчанию:", "Выберите шаблон, который будет использоваться на сайте", snowSelect ($config_skins_arr, "template_name", $config['template_name']));
    $content .= showRowS ("Включить использование прокси:", "Данная настройка позволяет выбрать использовать или нет прокси", snowSelect (array (0 => "Нет", 1 => "Да"), "connect_use_proxy", $config['connect_use_proxy']));
    $content .= showRow ("Прокси", "Укажите проски в поле, только если данная функция включена выше", "connect_proxy", $config['connect_proxy']);
    $content .= showRow ("Время обновления данных", "Укажите время обновления данных сайта в часах. Например: 48 означает обновление 1 раз в двое суток", "update_time", $config['update_time']);
    $content .= showRowS ("Обновлять результаты анализа если наступило время обновления", "При просмотре результатов анализа сайта будет произведен новый анализ если наступило время обновления и показаны актуальные данные, иначе будут показаны сохраненные ранее данные", snowSelect (array (0 => "Нет", 1 => "Да"), "allow_updates_analysis", $config['allow_updates_analysis']));
    $content .= showRowS ("Тип поиска в xml Яндекс", "Выберите тип поиска указанный в сервисе xml Яндекс", snowSelect (array (1 => "Русский", 2 => "Мировой", 3 => "Турецкий"), "ya_search_type", $config['ya_search_type']));
    $content .= showRow ("Ваш логин в xml Яндекс", "Укажите логин в сервисе xml Яндекс", "ya_query_login", $config['ya_query_login']);
    $content .= showRow ("Ваш ключ в xml Яндекс", "Укажите ключ полученный сервисе xml Яндекс", "ya_query_key", $config['ya_query_key']);
    $content .= showRow ("Ваш Access ID в Moz.com", "Укажите Access ID в сервисе Moz.com", "moz_access_id", $config['moz_access_id']);
    $content .= showRow ("Secret Key в Moz.com", "Укажите Secret Key полученный сервисе Moz.com", "moz_secret_key", $config['moz_secret_key']);


    $content .= <<<HTML
                                        <tr>
                                            <td colspan="2"><input type="hidden" name="hash" value="$hash"></td>
                                        </tr>
                                        <tr>
                                            <td style="padding:5px;" colspan="2"><input type="submit" name="save_conf" value="Сохранить" class="button"></td>
                                        </tr>
                                    </table>
                                </div><!--end content_block-->
                            </div><!-- end jquery_tab -->
HTML;

    $content .= <<<HTML
                            <div class="jquery_tab">
                                <div class="content_block">
                                    <h2 class="jquery_tab_title">Модули</h2>
                                    <table id="table_liquid" cellspacing="0">
                                        <caption>&nbsp;</caption>
HTML;

    $content .= showRowS ("Включить модуль \"Мета теги\"", "Модуль позволяет выводить Мета теги (название, описание, ключевые слова) проверяемого сайта", snowSelect (array (0 => "Нет", 1 => "Да"), "mod_meta_allow", $config['mod_meta_allow']));
    $content .= showRowS ("Включить модуль \"Заголовки сервера\"", "Модуль позволяет выводить все заголовки из ответа сервера на HTTP-запрос проверяемого сайта", snowSelect (array (0 => "Нет", 1 => "Да"), "mod_headers_allow", $config['mod_headers_allow']));
    $content .= showRowS ("Включить модуль \"DNS записи\"", "Модуль позволяет выводить все DNS свойств и характеристики хоста проверяемого сайта", snowSelect (array (0 => "Нет", 1 => "Да"), "mod_dns_allow", $config['mod_dns_allow']));
    $content .= showRowS ("Включить модуль \"Статистика Liveinternet\"", "Модуль позволяет выводить посещаемости по версии Liveinternet проверяемого сайта", snowSelect (array (0 => "Нет", 1 => "Да"), "mod_listat_allow", $config['mod_listat_allow']));
    $content .= showRowS ("Включить модуль \"Majestic SEO\"", "Модуль позволяет выводить данные о проверяемом сайте по версии сайта <a href=\"http://www.majesticseo.com\" target=\"_blank\">majesticseo.com</a>", snowSelect (array (0 => "Нет", 1 => "Да"), "mod_maj_allow", $config['mod_maj_allow']));
    $content .= showRowS ("Включить модуль \"LinkPad\"", "Модуль позволяет выводить данные о проверяемом сайте по версии сайта <a href=\"http://www.linkpad.ru/\" target=\"_blank\">linkpad.ru</a>", snowSelect (array (0 => "Нет", 1 => "Да"), "mod_sol_allow", $config['mod_sol_allow']));
    $content .= showRowS ("Включить модуль \"Alexa Rank\"", "Модуль позволяет выводить данные о посещаемости, ранге и репутации проверяемого сайта по версии сайта <a href=\"http://www.alexa.com/\" target=\"_blank\">alexa.com</a>", snowSelect (array (0 => "Нет", 1 => "Да"), "mod_arank_allow", $config['mod_arank_allow']));
    $content .= showRowS ("Включить модуль \"Посетители по странам\"", "Модуль позволяет выводить данные о посещаемости сайта по странам по версии сайта <a href=\"http://www.alexa.com/\" target=\"_blank\">alexa.com</a>", snowSelect (array (0 => "Нет", 1 => "Да"), "mod_country_allow", $config['mod_country_allow']));
    $content .= showRowS ("Тип вывода информации в модуле \"Посетители по странам\"", "Информация данного модуля может быть показана в виде таблицы или графика", snowSelect (array (1 => "Таблица", 2 => "График"), "mod_country_type", $config['mod_country_type']));
    $content .= showRowS ("Включить модуль \"Яндекс\"", "Модуль позволяет выводить кол-во проиндексированых страниц в Яндекс, наличие сайта в каталоге, тИЦ и другую информацию.", snowSelect (array (0 => "Нет", 1 => "Да"), "mod_ya_allow", $config['mod_ya_allow']));
    $content .= showRowS ("Включить модуль \"Google\"", "Модуль позволяет выводить кол-во проиндексированых страниц в Google, наличие сайта в каталоге DMOZ, PR и другую информацию.", snowSelect (array (0 => "Нет", 1 => "Да"), "mod_google_allow", $config['mod_google_allow']));
    $content .= showRowS ("Включить модуль \"Информация о домене\"", "Модуль позволяет выводить информацию о местоположении, дате регистрации и окончания проверяемого домена.", snowSelect (array (0 => "Нет", 1 => "Да"), "mod_domain_info_allow", $config['mod_domain_info_allow']));
    $content .= showRowS ("Включить модуль \"Whois домена\"", "Модуль позволяет выводить whois информацию проверяемого домена.", snowSelect (array (0 => "Нет", 1 => "Да"), "mod_whois_allow", $config['mod_whois_allow']));
    $content .= showRowS ("Включить модуль \"Ссылки на странице\"", "Модуль позволяет выводить ссылки (внутренние/внешние) с проверяемого домена.", snowSelect (array (0 => "Нет", 1 => "Да"), "mod_links_allow", $config['mod_links_allow']));
    $content .= showRowS ("Сервис создания скриншота:", "Выберите сервис который будет использоваться для создания скриншота сайта", snowSelect (array (0 => "site-shot.com", 1 => "thumbshots.ru", 2 => "thumbalizr.com" ), "screenshot", $config['screenshot']));
    $content .= showRowS ("Включить модуль \"Мониторинг\"", "Модуль позволяет выводить информацию о размещеных на сайте счетчиках, скриптах и других систем.", snowSelect (array (0 => "Нет", 1 => "Да"), "mod_monitor_allow", $config['mod_monitor_allow']));
    $content .= showRowS ("Включить модуль \"Последние сайты\"", "Модуль позволяет выводить список последних проверенных сайтов", snowSelect (array (0 => "Нет", 1 => "Да"), "last_site", $config['last_site']));
    $content .= showRow ("Количество сайтов показываемых модулем \"Последние сайты\"", "", "last_site_num", $config['last_site_num']);
    $content .= showRowS ("Включить ссылки на результаты анализа в модуле \"Последние сайты\"", "При включении данной опции будут подставляться ссылки на результаты анализа сайта", snowSelect (array (0 => "Нет", 1 => "Да"), "allow_link_result", $config['allow_link_result']));
    $content .= showRowS ("Проксирование внешних ссылок", "Проксирование ссылок позволяет убрать прямые ссылки на сайты в результатах анализа", snowSelect (array (0 => "Нет", 1 => "Да"), "allow_link_proxy", $config['allow_link_proxy']));
    $content .= showRowS ("Включить модуль \"Апдейт\"", "Модуль позволяет выводить информациию о последних обновлениях тИЦ, PR, поисковой базы", snowSelect (array (0 => "Нет", 1 => "Да"), "mod_update", $config['mod_update']));
    $content .= showRowS ("Включить модуль \"Рекламные материалы\"", "Модуль позволяет выводить рекламные материалы на сайте", snowSelect (array (0 => "Нет", 1 => "Да"), "allow_mod_banner", $config['allow_mod_banner']));

    $content .= <<<HTML
                                        <tr>
                                            <td colspan="2"><input type="hidden" name="hash" value="$hash"></td>
                                        </tr>
                                        <tr>
                                            <td style="padding:5px;" colspan="2"><input type="submit" name="save_conf" value="Сохранить" class="button"></td>
                                        </tr>
                                    </table>
                                </div><!--end content_block-->
                            </div><!--end jquery tab-->
                        </form>
HTML;

}
?>