<?php
if (!defined ('ANL')){
	die ( "Access denied!" );
}

if (isset ($_GET['module']) AND $_GET['module'] == "sites" AND isset ($_GET['action']) AND $_GET['action'] == "suspend") {

    try {
        $site_id = intval ($_GET['id']);

        if ($site_id == 0) {
            throw new Exception ("ID домена имеет не допустимое значение!");
        }

        $result_site = $db->query ("SELECT url, status FROM analiz_sites WHERE id = $site_id") or die ($db->error);
        $row_site = $result_site->fetch_assoc();

        if (!$row_site['url']) {
            throw new Exception ("Выбранный вами домен не найден в базе данных!");
        }

        if ($row_site['status'] == 1) {
            throw new Exception ("Блокировка домена {$row_site['url']} не возможна, т.к домен уже заблокирован!");
        }

        $db->query ("UPDATE analiz_sites SET status = 1 WHERE id = $site_id") or die ($db->error);
        $infomessage = "<div class=\"message success\"><p>Домен {$row_site['url']} успешно заблокирован. <a href=\"javascript:history.back();\">Вернуться назад</a></p></div>";

    } catch (Exception $e) {

        $infomessage = "<div class=\"message error\"><p>" . $e->getMessage() . "<a href=\"javascript:history.back();\">Вернуться назад</a></p></div>";

    }

} elseif (isset ($_GET['module']) AND $_GET['module'] == "sites" AND isset ($_GET['action']) AND $_GET['action'] == "unsuspend") {

    try {
        $site_id = intval ($_GET['id']);

        if ($site_id == 0) {
            throw new Exception ("ID домена имеет не допустимое значение!");
        }

        $result_site = $db->query ("SELECT url, status FROM analiz_sites WHERE id = $site_id") or die ($db->error);
        $row_site = $result_site->fetch_assoc();

        if (!$row_site['url']) {
            throw new Exception ("Выбранный вами домен не найден в базе данных!");
        }

        if ($row_site['status'] == 0) {
            throw new Exception ("Разблокировка домена {$row_site['url']} не возможна, т.к домен не заблокирован!");
        }

        $db->query ("UPDATE analiz_sites SET status = 0 WHERE id = $site_id") or die ($db->error);
        $infomessage = "<div class=\"message success\"><p>Домен {$row_site['url']} успешно разблокирован. <a href=\"javascript:history.back();\">Вернуться назад</a></p></div>";

    } catch (Exception $e) {

        $infomessage = "<div class=\"message error\"><p>" . $e->getMessage() . "<a href=\"javascript:history.back();\">Вернуться назад</a></p></div>";

    }

} elseif (isset ($_GET['module']) AND $_GET['module'] == "sites" AND isset ($_GET['action']) AND $_GET['action'] == "del") {

    try {
        $id = intval ($_GET['id']);

        if ($id == 0) {
            throw new Exception ("ID домена имеет не допустимое значение!");
        }

        $result = $db->query ("SELECT url FROM analiz_sites WHERE id = $id") or die ($db->error);
        $row = $result->fetch_assoc();

        if (!$row['url']) {
            throw new Exception ("Выбранный вами домен не найден в базе данных!");
        }

        $db->query ("DELETE FROM analiz_sites WHERE id = $id") or die ($db->error);
        $infomessage = "<div class=\"message success\"><p>Домен {$row['url']} успешно удален из базы данных. <a href=\"javascript:history.back();\">Вернуться назад</a></p></div>";

    } catch (Exception $e) {

        $infomessage = "<div class=\"message error\"><p>" . $e->getMessage() . "<a href=\"javascript:history.back();\">Вернуться назад</a></p></div>";

    }

} elseif (isset ($_GET['module']) AND $_GET['module'] == "sites" AND isset ($_GET['action']) AND $_GET['action'] == "search") {
    try {
        $search = clear_form_text ($_REQUEST['search']);

        if (strlen ($search) < 4) {
            throw new Exception ("Полученный поисковый запрос пустой или содержит меньше 4-х символов.");
        }

        $page = ($_REQUEST['page'] == 0) ? 1 : intval ($_REQUEST['page']);
        $per_page = 25;
        $pag_set = array ('cur_page' => $page, 'previous_btn' => true, 'next_btn' => true, 'first_btn' => true, 'last_btn' => true);

        $result_num = $db->query ("SELECT COUNT(*) AS count FROM analiz_sites WHERE MATCH(url) AGAINST('*{$search}*' IN BOOLEAN MODE)") or die ($db->error);
        $row_num = $result_num->fetch_array ();
        $count = $row_num['count'];
        $pag_set['no_of_paginations'] = ceil ($count / $per_page);

        if (empty ($page) || $page < 0) $page = 1;
        $page -= 1;
        $start = $page * $per_page;

        $result = $db->query ("SELECT id, url, updated, yaca, new_cy, dmoz, exp_site, status, new_mr FROM analiz_sites WHERE MATCH(url) AGAINST('*{$search}*' IN BOOLEAN MODE) ORDER BY updated DESC LIMIT $start, $per_page") or die ($db->error);

        if ($result->num_rows == 0) {
            throw new Exception ("По Вашему запросу ничего не найдено!");
        }

        $content = "<div class=\"content_block\">
        <h2>Поиск</h2>
        <form action=\"/admin.php?module=sites&action=search\" method=\"post\">
            <p>
                <label for=\"search\">Введите имя домена</label>
                <input class=\"input-flex\" type=\"text\" value=\"\" name=\"search\" id=\"search\">
                <input class=\"button\" name=\"submit\" type=\"submit\" value=\"Поиск\">
            </p>
        </form>

        <h2 class=\"jquery_tab_title\">Результаты поиска</h2>
            <table id=\"table_liquid\" cellspacing=\"0\">
                <tr>
                    <th>URL</th>
                    <th>ТИЦ</th>
                    <th>MR</th>
                    <th>Я.Каталог</th>
                    <th>DMOZ</th>
                    <th>Истекает</th>
                    <th>Посл. проверка</th>
                    <th></th>
                </tr>";

        while ($row = $result->fetch_assoc()) {
            $yacat = ($row['yaca'] == 1) ? "Да" : "Нет";
            $dmoz = ($row['dmoz'] == 1) ? "Да" : "Нет";

            if ($row['status'] == 0) {
                $action = "<a href=\"/admin.php?module=sites&action=suspend&id={$row['id']}\" title=\"Заблокировать домен\" onclick=\"return confirm('Вы действительно хотите заблокировать этот домен?')\"><img src=\"/modules/admin/skin/icons/block.png\"/></a>";
            } elseif ($row['status'] == 1) {
                 $action = "<a href=\"/admin.php?module=sites&action=unsuspend&id={$row['id']}\" title=\"Разблокировать домен\" onclick=\"return confirm('Вы действительно хотите разблокировать этот домен?')\"><img src=\"/modules/admin/skin/icons/unblock.png\"/></a>";
            }
            $action .= "<a href=\"/admin.php?module=sites&action=del&id={$row['id']}\" title=\"Удалить домен\" onclick=\"return confirm('Вы действительно хотите удалить этот домен?')\"><img src=\"/modules/admin/skin/icons/delete.png\"/></a>";

            $last_act = DateRus (strtotime ($row['updated']));
            $days_end = between_dates (strtotime ($row['exp_site']), time ());

            $endcss = ($days_end[1] < 30) ? "class=\"red\"" : "";

            $content .= "
                <tr>
                <td><a href=\"http://{$row['url']}\" target=\"_blank\">{$row['url']}</a> <a href=\"/analysis/{$row['url']}\" target=\"_blank\">[Р]</a></td>
                    <td>{$row['new_cy']}</td>
                    <td>{$row['new_mr']}</td>
                    <td>$yacat</td>
                    <td>$dmoz</td>
                    <td {$endcss}>{$row['exp_site']}</td>
                    <td>$last_act</td>
                    <td>$action</td>
                </tr>";
        }

        $pag_set['patch'] = "sites&action=search&search=" . $search;
        $navigation = admin_pagination ($pag_set);

        $content .= "
                <tr>
                    <td colspan=\"2\">" . $navigation . "</td>
                </tr>
            </table>
        </div>";

    } catch (Exception $e) {

        $infomessage = "<div class=\"message error\"><p>" . $e->getMessage() . " <a href=\"/admin.php?module=sites\">Вернуться назад</a></p></div>";

    }

} else {

    $page = ($_REQUEST['page'] == 0) ? 1 : intval ($_REQUEST['page']);
    $per_page = 25;
    $pag_set = array ('cur_page' => $page, 'previous_btn' => true, 'next_btn' => true, 'first_btn' => true, 'last_btn' => true);

    $result_num = $db->query ("SELECT COUNT(*) AS `count` FROM `analiz_sites`") or die ($db->error);
    $row_num = $result_num->fetch_array ();
    $count = $row_num['count'];
    $pag_set['no_of_paginations'] = ceil ($count / $per_page);

    if (empty ($page) || $page < 0) $page = 1;
    $page -= 1;
    $start = $page * $per_page;

    $result = $db->query ("SELECT `id`, `url`, `updated`, `yaca`, `new_cy`, `dmoz`, `exp_site`, `status`, `new_mr` FROM `analiz_sites` ORDER BY `updated` DESC LIMIT $start, $per_page") or die ($db->error);

    if ($result->num_rows >= 1) {

        $content = "<div class=\"content_block\">
        <h2>Поиск</h2>
        <form action=\"/admin.php?module=sites&action=search\" method=\"post\">
            <p>
                <label for=\"search\">Введите имя домена</label>
                <input class=\"input-flex\" type=\"text\" value=\"\" name=\"search\" id=\"search\">
                <input class=\"button\" name=\"submit\" type=\"submit\" value=\"Поиск\">
            </p>
        </form>

        <h2 class=\"jquery_tab_title\">Cайты</h2>
            <table id=\"table_liquid\" cellspacing=\"0\">
                <tr>
                    <th>URL</th>
                    <th>ТИЦ</th>
                    <th>MR</th>
                    <th>Я.Каталог</th>
                    <th>DMOZ</th>
                    <th>Истекает</th>
                    <th>Посл. проверка</th>
                    <th></th>
                </tr>";

        while ($row = $result->fetch_assoc()) {
            $yacat = ($row['yaca'] == 1) ? "Да" : "Нет";
            $dmoz = ($row['dmoz'] == 1) ? "Да" : "Нет";

            if ($row['status'] == 0) {
                $action = "<a href=\"/admin.php?module=sites&action=suspend&id={$row['id']}\" title=\"Заблокировать домен\" onclick=\"return confirm('Вы действительно хотите заблокировать этот домен?')\"><img src=\"/modules/admin/skin/icons/block.png\"/></a>";
            } elseif ($row['status'] == 1) {
                 $action = "<a href=\"/admin.php?module=sites&action=unsuspend&id={$row['id']}\" title=\"Разблокировать домен\" onclick=\"return confirm('Вы действительно хотите разблокировать этот домен?')\"><img src=\"/modules/admin/skin/icons/unblock.png\"/></a>";
            }
            $action .= "<a href=\"/admin.php?module=sites&action=del&id={$row['id']}\" title=\"Удалить домен\" onclick=\"return confirm('Вы действительно хотите удалить этот домен?')\"><img src=\"/modules/admin/skin/icons/delete.png\"/></a>";

            $last_act = DateRus (strtotime ($row['updated']));
            $days_end = between_dates (strtotime ($row['exp_site']), time ());

            $endcss = ($days_end[1] < 30) ? "class=\"red\"" : "";

            $content .= "
                <tr>
                <td><a href=\"http://{$row['url']}\" target=\"_blank\">{$row['url']}</a> <a href=\"/analysis/{$row['url']}\" target=\"_blank\">[Р]</a></td>
                    <td>{$row['new_cy']}</td>
                    <td>{$row['new_mr']}</td>
                    <td>$yacat</td>
                    <td>$dmoz</td>
                    <td {$endcss}>{$row['exp_site']}</td>
                    <td>$last_act</td>
                    <td>$action</td>
                </tr>";
        }

        $pag_set['patch'] = "sites";
        $navigation = admin_pagination ($pag_set);

        $content .= "
            <tr>
                <td colspan=\"2\">" . $navigation . "</td>
            </tr>
        </table>
    </div>";
    }

}
?>