<?php
if (!defined ('ANL')){
	die ( "Access denied!" );
}

if (isset ($_REQUEST['action']) AND $_REQUEST['action'] == "edituser") {

    $id = abs ((int) $_REQUEST['id']);
    $result = $db->query ("SELECT user_id, login, password, email, firstname, surname FROM analiz_users WHERE user_id = $id") or die ($db->error);

    if ($result->num_rows) {

        $row = $result->fetch_assoc();

        $content = "<div class=\"content_block\">
        <h2 class=\"jquery_tab_title\">Редактирование пользователя {$row['login']}</h2>
        <form method=\"post\" action=\"/admin.php?module=users&action=edituserfinal\">
            <p>
                <label for=\"login_user\">Логин</label>
                <input class=\"input-big\" type=\"text\" value=\"{$row['login']}\" name=\"login\" id=\"login_user\" readonly=\"true\">
            </p>

            <p>
                <label for=\"email\">Email</label>
                <input class=\"input-big\" type=\"text\" value=\"{$row['email']}\" name=\"email\" id=\"email\">
            </p>

            <p>
                <label for=\"password\">Пароль</label>
                <input class=\"input-big\" type=\"password\" name=\"password\" id=\"password\">
            </p>

            <p>
                <label for=\"password_r\">Пароль (еще раз)</label>
                <input class=\"input-big\" type=\"password\" name=\"password_r\" id=\"password_r\">
            </p>

            <p>
                <label for=\"firstname\">Имя</label>
                <input class=\"input-big\" type=\"text\" value=\"{$row['firstname']}\" name=\"firstname\" id=\"firstname\">
            </p>

            <p>
                <label for=\"surname\">Фамилия</label>
                <input class=\"input-big\" type=\"text\" value=\"{$row['surname']}\" name=\"surname\" id=\"surname\">
            </p>

            <p>
                <input name=\"id\" type=\"hidden\" value=\"{$row['user_id']}\" />
                <input class=\"button\" name=\"edituserfinal\" type=\"submit\" value=\"Редактировать\">
            </p>
        </form>
    </div>";

    } else {

        $infomessage = "Пользователь с таким ID не найден!";

    }

} elseif (isset ($_REQUEST['action']) AND $_REQUEST['action'] == "edituserfinal") {

    $login = $db->real_escape_string (trim (strip_tags ($_POST['login'])));
    $email = $db->real_escape_string (trim (strip_tags ($_POST['email'])));
    $firstname = $db->real_escape_string (trim (strip_tags ($_POST['firstname'])));
    $surname = $db->real_escape_string (trim (strip_tags ($_POST['surname'])));
    $password = $db->real_escape_string (trim (strip_tags ($_POST['password'])));
    $password_r = $db->real_escape_string (trim (strip_tags ($_POST['password_r'])));
    $user_id = abs ((int) $_POST['id']);

	if (strlen ($login) > 20) $stop .= "Длина логина не может превышать 20 символов!<br>";
	if (preg_match ( "/[\||\'|\<|\>|\[|\]|\"|\!|\?|\$|\@|\/|\\\|\&\~\*\{\+]/", $firstname)) $stop .= "Вы используете недопустимое имя!<br>";
	if (preg_match ( "/[\||\'|\<|\>|\[|\]|\"|\!|\?|\$|\@|\/|\\\|\&\~\*\{\+]/", $surname)) $stop .= "Вы используете недопустимую фамилию!<br>";
	if (preg_match ( "/[\||\'|\<|\>|\[|\]|\"|\!|\?|\$|\@|\/|\\\|\&\~\*\{\+]/", $login)) $stop .= "Вы используете недопустимый логин!<br>";
	if (!preg_match ('/^[-0-9a-z_\.]+@[-0-9a-z^\.]+\.[a-z]{2,4}$/i', $email) or strlen ($email) > 50) $stop .= "Введен неверный E-Mail адрес!<br>";
	if ($firstname == "") $stop .= "Имя не может быть пустым!<br>";
	if ($surname == "") $stop .= "Фамилия не может быть пустой!<br>";
	if ($login == "") $stop .= "Логин не может быть пустым!<br>";
	if (strpos (strtolower ($firstname) , '.php' ) !== false) $stop .= "Вы используете недопустимое имя!<br>";
	if (strpos (strtolower ($surname) , '.php' ) !== false) $stop .= "Вы используете недопустимую фамилию!<br>";
	if (strpos (strtolower ($login) , '.php' ) !== false) $stop .= "Вы используете недопустимый логин!<br>";
    if (empty ($user_id)) $stop .= "ID не может быть пустым<br>";
	if (strlen ($password) > 0) {
    	if ($password != $password_r) $stop .= "Оба введенных пароля должны быть идентичны!<br>";
    	if (strlen ($password) < 6) $stop .= "Длина пароля должна быть не менее 6 символов и не более 16 символов!<br>";
	}

    if (!$stop) {

        if (strlen ($password) > 0) {
            $password = md5 (md5 ($password));
            $db->query ("UPDATE analiz_users SET login = '$login', password = '$password', email = '$email', firstname = '$firstname', surname = '$surname' WHERE user_id = $user_id") or die ($db->error);
        } else {
	        $db->query ("UPDATE analiz_users SET login = '$login', email = '$email', firstname = '$firstname', surname = '$surname' WHERE user_id = $user_id") or die ($db->error);
        }
        $infomessage = "Данные пользователя успешно отредактированы! <a href=\"/admin.php?module=users\">Вернуться назад</a>";

    } else {

        $infomessage = $stop . "<a href=\"/admin.php?module=users&action=edituser&id=$user_id\">Вернуться назад</a>";

    }

} else {

    $result = $db->query ("SELECT user_id, login, email, firstname, surname, date_created, last_act FROM analiz_users ORDER BY user_id") or die ($db->error);

    if ($result->num_rows) {

        $content = "<div class=\"content_block\">
        <h2 class=\"jquery_tab_title\">Пользователи сайта</h2>
        <table id=\"table_liquid\" cellspacing=\"0\">
            <tr>
                <th>Логин</th><th>E-mail</th><th>Имя</th><th>Фамилия</th><th>Регистрация</th><th>Посещение</th>
            </tr>";

        while ($row = $result->fetch_assoc()) {
            $date_created = DateRus ($row['date_created']);
            $last_act = DateRus ($row['last_act'], true);

            $content .= "
            <tr>
                <td><a href=\"/admin.php?module=users&action=edituser&id={$row['user_id']}\">{$row['login']}</a></td><td>{$row['email']}</td><td>{$row['firstname']}</td><td>{$row['surname']}</td><td>$date_created</td><td>$last_act</td>
            </tr>";

        }

            $content .= "</table>
    </div>";

    } else {

        $infomessage = "Нет зарегистрированных пользователей!";

    }

}


?>