//$(document).ajaxComplete(function() {
$(document).bind('ready ajaxComplete', function(){
    $('#links-chart').highcharts({
        chart: {
            plotBackgroundColor: null,
            plotBorderWidth: null,
            plotShadow: false,
            type: 'pie'
        },
        title: {
            text: 'Ссылки на странице'
        },
        tooltip: {
            pointFormat: '{series.name}: {point.percentage:.1f}% ({point.y})'
        },
        plotOptions: {
            pie: {
                allowPointSelect: true,
                cursor: 'pointer',
                dataLabels: {
                    enabled: true,
                    format: '<b>{point.name}</b>: {point.percentage:.1f} %',
                    style: {
                        color: (Highcharts.theme && Highcharts.theme.contrastTextColor) || 'gray'
                    }
                }
            }
        },
        series: [{
            name: "Процентов",
            colorByPoint: true,
            colors: ["#003561", "#006e93"],
            data: [{
                name: "Внутренние ссылки",
                y: {int_links_num}
            }, {
                name: "Внешние ссылки",
                y: {ext_links_num}
            }]
        }]
    });
});