<?php
if ( ! defined ('ANL') ) {
    die ( "Access denied!" );
}

session_start ();

if ($config['auth_domain'] == 1) {

    $domain_cookie = explode (".", clean_url ($_SERVER['HTTP_HOST']));
    $domain_cookie_count = count ($domain_cookie);
    $domain_allow_count = -2;

    if ($domain_cookie_count > 2 ) {

        if (in_array ($domain_cookie[$domain_cookie_count-2], array ('com', 'net', 'org'))) $domain_allow_count = -3;
    	if ($domain_cookie[$domain_cookie_count-1] == 'ua') $domain_allow_count = -3;
    	$domain_cookie = array_slice ($domain_cookie, $domain_allow_count);

    }

    $domain_cookie = "." . implode (".", $domain_cookie);

    if ((ip2long ($_SERVER['HTTP_HOST']) == -1 OR ip2long ($_SERVER['HTTP_HOST']) === FALSE) AND strtoupper (substr (PHP_OS, 0, 3)) !== 'WIN') define ('DOMAIN', $domain_cookie);
    else define ('DOMAIN', null);

} else define ('DOMAIN', null);

$_IP = getRealIpAddr ();
$_TIME = time ();
$allow_login = true;

if (isset ($_REQUEST['module'] ) and $_REQUEST['module'] == "logout") {

	set_cookie ("analiz_user_id", "", 0);
	set_cookie ("analiz_hash", "", 0);
	set_cookie (session_name(), "", 0);
	@session_destroy ();
	@session_unset ();
	$is_logged = 0;

	header ("Location: " . str_replace ("index.php", "", $_SERVER['PHP_SELF']));
	die ();
}

$is_logged = 0;
$member_id = array ();

if (isset ($_POST['login_name'] ) AND $_POST['login_password'] AND $_POST['login'] == "submit") {

	$user_name = $db->real_escape_string (trim (strip_tags ($_POST['login_name'])));
	$password = $db->real_escape_string (trim (strip_tags ($_POST['login_password'])));

	$allow_user = true;

	if (preg_match ("/[\||\'|\<|\>|\"|\!|\?|\$|\@|\/|\\\|\&\~\*\+]/", $_POST['login_name'])) $allow_user = false;

	if ($allow_login AND $allow_user) {

        $sql_login = "SELECT user_id, login, password, email, firstname, surname, ip, date_created, last_act FROM analiz_users WHERE login = '$user_name' AND password = '" . md5 (md5 ($password)) . "'";
	    $result_login = $db->query ($sql_login) or die ($db->error);
	    $member_id = $result_login->fetch_assoc ();

		if ($member_id['user_id']) {

			session_regenerate_id();

			set_cookie ("analiz_user_id", $member_id['user_id'], 365);
            set_cookie ("analiz_hash", sha1 ($_SERVER['HTTP_HOST'] . $member_id['password'] . $config['ya_query_key']), 365);

			$_SESSION['analiz_user_id'] = $member_id['user_id'];
		    $_SESSION['analiz_hash'] = sha1 ($_SERVER['HTTP_HOST'] . $member_id['password'] . $config['ya_query_key']);
			$_SESSION['member_lasttime'] = $member_id['last_act'];

			$member_id['last_act'] = $_TIME;

            $sql_login = "UPDATE LOW_PRIORITY analiz_users SET last_act = '{$_TIME}', ip = '{$_IP}' WHERE user_id = '{$member_id['user_id']}'";
            $db->query ($sql_login) or die ($db->error);

			$is_logged = TRUE;
		}
	}

} elseif (isset ($_SESSION['analiz_user_id']) and  intval ($_SESSION['analiz_user_id']) > 0 and $_SESSION['analiz_hash']) {

	$sql_login = "SELECT user_id, login, password, email, firstname, surname, ip, date_created, last_act FROM analiz_users WHERE user_id='" . intval ($_SESSION['analiz_user_id']) . "'";
	$result_login = $db->query ($sql_login) or die ($db->error);
	$member_id = $result_login->fetch_assoc ();

	if ($member_id['user_id'] and $member_id['password'] and $_SESSION['analiz_hash'] == sha1 ($_SERVER['HTTP_HOST'] . $member_id['password'] . $config['ya_query_key'])) {

		$is_logged = TRUE;

	} else {

		$member_id = array ();
		$is_logged = false;

	}

} elseif (isset ($_COOKIE['analiz_user_id'] ) AND intval ($_COOKIE['analiz_user_id'] ) > 0 AND $_COOKIE['analiz_hash']) {

	if ($allow_login) {

        $sql_login = "SELECT user_id, login, password, email, firstname, surname, ip, date_created, last_act FROM analiz_users WHERE user_id='" . intval ($_COOKIE['analiz_user_id']) . "'";
	    $result_login = $db->query ($sql_login) or die ($db->error);
	    $member_id = $result_login->fetch_assoc ();

		if ($member_id['user_id'] AND $member_id['password'] AND $_COOKIE['analiz_hash'] == sha1 ($_SERVER['HTTP_HOST'] . $member_id['password'] . $config['ya_query_key'])) {

			$is_logged = TRUE;

			session_regenerate_id();

			$_SESSION['analiz_user_id'] = $member_id['user_id'];
			$_SESSION['analiz_hash'] = $_COOKIE['analiz_hash'];
			$_SESSION['member_lasttime'] = $member_id['last_act'];

		} else {

			$member_id = array ();
			$is_logged = false;

		}
	}
}

if (isset ($_POST['login_name']) and !$is_logged AND $allow_login) {

    $infomessage .= "Ошибка авторизации!";

}

if (!$allow_login) {

    $infomessage .= message_box ("Ошибка авторизации<br>", "Внимание, вы достигли максимального количества неудачный попыток авторизации на сайте. Доступ к аккаунту заблокирован на 20 минут. Повторите попытку авторизации на сайте, через вышеуказанное время. Если вы забыли пароль, то сделайте восстановление пароля на сайте. Восстановить свой пароль вы также можете только по окончании срока блокировки.", 1);

}

if ($is_logged) {

    $stime = 3600;

	if (($member_id['last_act'] + $stime) < $_TIME) {

        $sql_login = "UPDATE LOW_PRIORITY analiz_users SET last_act = '{$_TIME}', ip = '{$_IP}' WHERE user_id = '{$member_id['user_id']}'";
	    $db->query ($sql_login) or die ($db->error);

	}
}

if (!$is_logged) {

	$member_id = array ();

	set_cookie ("analiz_user_id", "", 0);
	set_cookie ("analiz_hash", "", 0);

	$_SESSION['analiz_user_id'] = 0;
	$_SESSION['analiz_hash'] = "";

}
?>