<?php
if (!defined ('ANL')){
    die ("Access denied!");
}

$template->open ('tools.tpl', 'tools');
$template->set ('theme', TEMPLATES_DIR, 'tools');

if ($_REQUEST['ident'] == true) {

	$where = "`ident` = '" . clear_form_text ($_REQUEST['action']) . "'";

} else {

	$where = "`tool_url` = '" . clear_form_text ($_REQUEST['action']) . "'";

}

$result = $db->query ("SELECT `name`, `title`, `descr`, `keywords`, `captcha`, `about`, `ident`  FROM `analiz_tools` WHERE {$where} AND `status` = 1 LIMIT 1") or die ($db->error);
if ($result->num_rows > 0) {

	$row = $result->fetch_assoc();
	$ident = $row['ident'];
	$metatags['title'] = $row['title'];
	$metatags['description'] = $row['descr'];
	$metatags['keywords'] = $row['keywords'];

	$template->set ('about', html_entity_decode ($row['about'], ENT_QUOTES, "UTF-8"), 'tools');
	$template->set ('tool-name', $row['name'], 'tools');

}

if ($_REQUEST['module'] == 'tools' AND $ident == "TL001") {

	if ($_SERVER['REQUEST_METHOD'] == "POST" AND !empty ($_POST['url'])) {
		try {
			$_POST['url'] = trim (strip_tags ($_POST['url']));
			$url = clean_url ($_POST['url']);

			$url = (substr ($url, 0, 4) == 'www.') ? substr ($url, 4) : $url;

	        if (strlen ($url) > 40) {
	            throw new Exception ("Слишком длинное доменное имя!");
	        }
	        if (!$url) {
	            throw new Exception ("Адрес сайта имеет не допустимое значение!");
	        }
	        if (check_url ($url) == -1) {
	            throw new Exception ("Имя домена имеет не допустимое значение!");
    		}

			$url_puncode = punycode ($url);
    		echo json_encode (array ('status' => 1, 'url' => $url_puncode));

		} catch (Exception $ex) {

        	echo json_encode (array ('status' => 2, 'message' => message_box ("Ошибка<br>", $ex->getMessage(), 1, 1)));

    	}

		die ();

	} else {

		$template->set_block ('punycode', '', 'tools');

	}

} else if ($_REQUEST['module'] == 'tools' AND $ident == "TL002") {

	if ($_SERVER['REQUEST_METHOD'] == "POST" AND !empty ($_POST['url'])) {
		try {

			$_POST['url'] = trim (strip_tags ($_POST['url']));
			$url = clean_url ($_POST['url']);

			if (preg_match ("#(\d{1,3}\.\d{1,3}\.\d{1,3})#", $url)) {

		        if (validate_ip ($url) == false) {
		            throw new Exception ("IP адрес имеет не допустимое значение!");
	    		}

				$ip_whois = get_ip_whois ($url);
				$msg = array ('status' => 1, 'type' => 'ip', 'ip' => $url, 'whois' => $ip_whois);

			} elseif (check_url ($url) != -1) {

				$url = (substr ($url, 0, 4) == 'www.') ? substr ($url, 4) : $url;

		        if (strlen ($url) > 40) {
		            throw new Exception ("Слишком длинное доменное имя!");
		        }
		        if (!$url) {
		            throw new Exception ("Адрес сайта имеет не допустимое значение!");
		        }

	    		$zone = array ('co.in', 'net.in', 'org.in', 'gen.in', 'firm.in', 'ind.in', 'com.tr', 'edu.tr', 'in.ua', 'co.ua', 'com.ua', 'net.ua', 'co.uk', 'me.uk', 'org.uk');
	    		$sub = explode (".", $url);

	    		$count = count ($sub);

	    		if ($count == 3) {
	    			$suc = $sub[1] . "." . $sub[2];

	    			if (in_array ($suc, $zone))
	    				$url = $sub[0] . "." . $sub[1] . "." . $sub[2];
	    			else
	    				$url = $sub[1] . "." . $sub[2];
	    		}

	    		$url_connect = (check_type ($url) == 1) ? punycode ($url) : $url;
				$whois = get_whois_info ($url_connect);

				if (!$whois) $whois = "Не удалось получить whois информацию. Возможно домен {$url} не зарегистрирован";
				$msg = array ('status' => 1, 'type' => 'domain', 'whois' => $whois);

			} else {

				throw new Exception ("Имя домена или IP адрес имеет не допустимое значение!");

			}

    		echo json_encode ($msg);

		} catch (Exception $ex) {

        	echo json_encode (array ('status' => 2, 'message' => message_box ("Ошибка<br>", $ex->getMessage(), 1, 1)));

    	}

		die ();

	} else {

		$template->set_block ('whois', '', 'tools');

	}

} else if ($_REQUEST['module'] == 'tools' AND $ident == "TL003") {

	if ($_SERVER['REQUEST_METHOD'] == "POST" AND !empty ($_POST['url'])) {
		try {
			$_POST['url'] = trim (strip_tags ($_POST['url']));
			$url = clean_url ($_POST['url']);

			$url = (substr ($url, 0, 4) == 'www.') ? substr ($url, 4) : $url;

	        if (strlen ($url) > 40) {
	            throw new Exception ("Слишком длинное доменное имя!");
	        }
	        if (!$url) {
	            throw new Exception ("Адрес сайта имеет не допустимое значение!");
	        }
	        if (check_url ($url) == -1) {
	            throw new Exception ("Имя домена имеет не допустимое значение!");
    		}

		    $url_connect = (check_type ($url) == 1) ? punycode ($url) : $url;
			$headers = page_get_headers ("http://" . $url_connect);

			if (is_array ($headers)) {

				$table = "";
				$count = count ($headers);

				foreach ($headers as $k => $val) {
					$table .= "<tr><td colspan=\"2\">"  . $headers[$k]['Http-Code'] .  "</td></tr>";
					foreach ($val as $k2 => $val2) {
						if ($k2 != 'Http-Code') {
							if (is_array ($val2)) {
								$str = implode ("<br>", $val2);
								$table .= "<tr><td style=\"width:40%\"><strong>" . $k2 . ":</strong></td><td style=\"width:60%\">" . $str . "</td></tr>";
							} else {
								$table .= "<tr><td style=\"width:40%\"><strong>" . $k2 . ":</strong></td><td style=\"width:60%\">" . $val2 . "</td></tr>";
							}
						}
					}

					if ($k != $count-1) {
						$table .= "<tr><td colspan=\"2\">&nbsp</td></tr>";
					}
				}
			}

    		echo json_encode (array ('status' => 1, 'headers' => $table));

		} catch (Exception $ex) {

        	echo json_encode (array ('status' => 2, 'message' => message_box ("Ошибка<br>", $ex->getMessage(), 1, 1)));

    	}

		die ();

	} else {

		$template->set_block ('headers', '', 'tools');

	}

} else if ($_REQUEST['module'] == 'tools' AND $ident == "TL004") {

	if ($_SERVER['REQUEST_METHOD'] == "POST" AND !empty ($_POST['ip'])) {
		try {
			$_POST['ip'] = trim (strip_tags ($_POST['ip']));

	        if (validate_ip ($_POST['ip']) == false) {
	            throw new Exception ("IP адрес имеет не допустимое значение!");
    		}

			$location = get_geoip_data ($_POST['ip']);

    		$script = file_get_contents (ENGINE_DIR . "/libs/js/ip_map.js");
    		$script = str_replace ("{ip}", $_POST['ip'], $script);
    		$script = str_replace ("{flag}", '<img src="templates/' . $config['template_name'] . '/img/flags/' . strtolower ($location['country']['iso']) . '.png" alt="" style="vertical-align:baseline">', $script);
    		$script = str_replace ("{country}", $location['country']['name_ru'], $script);
    		$script = str_replace ("{region}", $location['region']['name_ru'], $script);
    		$script = str_replace ("{city}", $location['city']['name_ru'], $script);
    		$script = str_replace ("{lat}", $location['city']['lat'], $script);
    		$script = str_replace ("{lon}", $location['city']['lon'], $script);
    		$script = str_replace ("{id}", $location['country']['id'], $script);
    		$script = str_replace ("{asn}", $location['asn'], $script);

    		echo json_encode (array ('status' => 1, 'map' => '<script type="text/javascript">' . $script . '</script>'));

		} catch (Exception $ex) {

        	echo json_encode (array ('status' => 2, 'message' => message_box ("Ошибка<br>", $ex->getMessage(), 1, 1)));

    	}

		die ();

	} else {

		$ip = getRealIpAddr ();
		$location = get_geoip_data ($ip);

		$script = file_get_contents (ENGINE_DIR . "/libs/js/ip_map.js");
		$script = str_replace ("{ip}", $ip, $script);
		$script = str_replace ("{flag}", '<img src="templates/' . $config['template_name'] . '/img/flags/' . strtolower ($location['country']['iso']) . '.png" alt="" style="vertical-align:baseline">', $script);
		$script = str_replace ("{country}", $location['country']['name_ru'], $script);
		$script = str_replace ("{region}", $location['region']['name_ru'], $script);
		$script = str_replace ("{city}", $location['city']['name_ru'], $script);
		$script = str_replace ("{lat}", $location['city']['lat'], $script);
		$script = str_replace ("{lon}", $location['city']['lon'], $script);
		$script = str_replace ("{id}", $location['country']['id'], $script);
		$script = str_replace ("{asn}", $location['asn'], $script);

		$template->set_block ('iplocation', '', 'tools');
		$template->set ('script', $script, 'tools');
		$template->set ('ip', $ip, 'tools');

	}

} else if ($_REQUEST['module'] == 'tools' AND $ident == "TL005") {

	if ($_SERVER['REQUEST_METHOD'] == "POST" AND !empty ($_POST['url'])) {
		try {
			$_POST['url'] = trim (strip_tags ($_POST['url']));
			$url = clean_url ($_POST['url']);

			$url = (substr ($url, 0, 4) == 'www.') ? substr ($url, 4) : $url;

			if (strlen ($url) > 65) {
	            throw new Exception ("Слишком длинное доменное имя!");
	        }
	        if (!$url) {
	            throw new Exception ("Адрес сайта имеет не допустимое значение!");
	        }
	        if (check_url ($url) == -1) {
	            throw new Exception ("Имя домена имеет не допустимое значение!");
    		}

    		$url_connect = (check_type ($url) == 1) ? punycode ($url) : $url;
    		$ip = gethostbyname ($url_connect);
    		$host = gethostbyaddr ($ip);

    		if (!validate_ip ($ip)) {
    			throw new Exception ("Не удалось получить IP адрес домена {$url}");
    		}

    		$location = get_geoip_data ($ip);

    		$asn = $location['asn'];
    		$country = $location['country']['name_ru'];
    		$region = $location['region']['name_ru'];
    		$city = $location['city']['name_ru'];
    		$flag = '<img src="templates/' . $config['template_name'] . '/img/flags/' . strtolower ($location['country']['iso']) . '.png" alt="" style="vertical-align:baseline">';

    		$table = "<tr><td style=\"width:30%\">IP:</td><td>{$ip}</td></tr>";
    		$table .= "<tr><td >Хост:</td><td>{$host}</td></tr>";
    		if ($country) $table .= "<tr><td>Страна:</td><td>{$flag} {$country}</td></tr>";
    		if ($region) $table .= "<tr><td>Регион:</td><td>{$location['region']['name_ru']}</td></tr>";
    		if ($city) $table .= "<tr><td>Город:</td><td>{$location['city']['name_ru']}</td></tr>";
    		if ($asn) $table .= "<tr><td>ДЦ:</td><td>{$asn}</td></tr>";

    		echo json_encode (array ('status' => 1, 'ip' => $table));

		} catch (Exception $ex) {

        	echo json_encode (array ('status' => 2, 'message' => message_box ("Ошибка<br>", $ex->getMessage(), 1, 1)));

    	}

		die ();

	} else {

		$template->set_block ('ipdomain', '', 'tools');

	}

} else if ($_REQUEST['module'] == 'tools' AND $ident == "TL006") {

	if ($_SERVER['REQUEST_METHOD'] == "POST" AND !empty ($_POST['title'])) {
		try {
			$meta = array ();

			foreach ($_POST as $k => $val) {
				$meta[$k] = trim (strip_tags ($val));
			}

			if ($meta['title'] == "") {
				throw new Exception ("Заголовок страницы не может быть пустым!");
			}
			if ($meta['description'] == "") {
				throw new Exception ("Описание страницы не может быть пустым!");
			}

			$meta['title'] = ucfirst ($meta['title']);
		   	$meta['description'] = str_replace (array ("\r\n", "\r", "\n", '"'), "", $meta['description']);
		   	$meta['keywords'] = str_replace (array ("\r\n", "\r", "\n", '"'), "", $meta['keywords']);

		    $data[] = '<meta name="title" content="' . $meta['title'] . '">';
			$data[] = '<meta name="description" content="' . $meta['description'] . '">';
			$data[] = '<meta name="keywords" content="' . $meta['keywords'] . '">';
			$data[] = '<meta name="robots" content="' . $meta['robotsIndex'] . ', ' . $meta['robotsLinks'] . '">';
			$data[] = '<meta http-equiv="Content-Type" content="' . $meta['contentType'] . '">';

		    if ($meta['language'] != "N/A"){
		        $data[] = '<meta name="language" content="' . $meta['language'] . '">';
			}
		    if ($checkRevisit){
		        $data[] = '<meta name="revisit-after" content="' . $revisitdays . ' days">';
		    }
		    if ($meta['authorname']){
		        $data[] = '<meta name="author" content="' . $meta['authorname'] . '">';
		    }

		    $data = implode (PHP_EOL, $data);

		    echo json_encode (array ('status' => 1, 'meta' => htmlspecialchars ($data)));

		} catch (Exception $e) {

			echo json_encode (array ('status' => 2, 'message' => $e->getMessage()));

		}

		die ();

	} else {

		$template->set_block ('gen-metatags', '', 'tools');

	}

} else if ($_REQUEST['module'] == 'tools' AND $ident == "TL007") {

	if ($_SERVER['REQUEST_METHOD'] == "POST" AND !empty ($_POST['url'])) {
		try {
			$url = trim (strip_tags ($_POST['url']));
			$url = str_replace ("http://", "", mb_strtolower ($url, "UTF-8"));
			$url = str_replace ("https://", "", $url);
			$url = (substr ($url, 0, 4) == 'www.') ? substr ($url, 4) : $url;

			if (strlen ($url) > 40) {
	            throw new Exception ("Слишком длинное доменное имя!");
	        }
	        if (!$url) {
	            throw new Exception ("Адрес сайта имеет не допустимое значение!");
	        }
	        if (check_url ($url) == -1) {
	            throw new Exception ("Имя домена имеет не допустимое значение!");
    		}

    		$buf = get_connect ("http://" . $url, 0, $config['connect_use_proxy'], $config['connect_proxy']);
    		$meta = get_head_url ($buf);

    		if (!$meta['title']) $meta['title'] = "Нет названия";
    		if (!$meta['descr']) $meta['descr'] = "Нет описания";
    		if (!$meta['keywords']) $meta['keywords'] = "Нет ключевых слов";

    		$table = "<tr><td style=\"width:18%\">URL:</td><td>http://{$url}</td></tr>";
    		$table .= "<tr><td style=\"width:18%\">Meta Title:</td><td>{$meta['title']}</td></tr>";
    		$table .= "<tr><td style=\"width:18%\">Meta Description:</td><td>{$meta['descr']}</td></tr>";
    		$table .= "<tr><td style=\"width:18%\">Meta Keywords:</td><td>{$meta['keywords']}</td></tr>";

		    echo json_encode (array ('status' => 1, 'meta' => $table));

		} catch (Exception $e) {

			echo json_encode (array ('status' => 2, 'message' => message_box ("Ошибка<br>", $ex->getMessage(), 1, 1)));

		}

		die ();

	} else {

		$template->set_block ('analys-metatags', '', 'tools');

	}

} else {

	$infomessage = message_box ("Ошибка<br>", "Выбранный Вами инструмент не доступен в настоящий момент!", 1, 1);

}

$content = $template->compile ('tools', true);
$template->clear ('tools');

?>