<!DOCTYPE html>
<html>
<head>
{metatags}
<!-- CSS Files (main) -->
<link rel="stylesheet" href="{theme}/css/style.css">
<link rel="stylesheet" href="{theme}/css/responsive.css">

<!-- Theme -->
<link rel="stylesheet" href="{theme}/css/theme.css">

<!-- Google fonts - witch you want to use - (rest you can just remove) -->
<link href='http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700&amp;subset=latin,cyrillic' rel='stylesheet' type='text/css'>
</head>
<body>
        <!--[if lt IE 7]>
            <p class="chromeframe">You are using an <strong>outdated</strong> browser. Please <a href="http://browsehappy.com/">upgrade your browser</a> or <a href="http://www.google.com/chromeframe/?redirect=true">activate Google Chrome Frame</a> to improve your experience.</p>
        <![endif]-->

        <!-- Start Template Wrapper -->
        <div id="wrapper" class="">

            <!-- Start Header Section -->
            <header id="header">
                <!-- Start 960 Container -->
                <div class="container">
                    <!-- Start Headerbar -->
                    <section id="headerbar">
                        <div class="twelve columns">
                            <!-- Start Logo -->
                            <div class="logo">
                                <h1><a href="/">Анализатор</a></h1>
                                <small>Параметры твоего сайта!</small>
                            </div>
                            <!--/ End Logo -->
                        </div>

                        <div class="four columns">
                            <!-- Start Social Link -->
                            <div class="socialbar_transparent borderless align-right">
                                <ul class="ssm">
                                    <li class="dribbble"><a href="#">dribbble</a></li>
                                    <li class="facebook"><a href="#">facebook</a></li>
                                    <li class="flickr"><a href="#">flickr</a></li>
                                    <li class="googleplus"><a href="#">googleplus</a></li>
                                    <li class="twitter"><a href="#">twitter</a></li>
                                </ul>
                            </div>
                            <!--/ End Social Link -->
                        </div>
                        <br class="clear" />
                    </section>
                    <!--/ End Headerbar -->

                    <!-- Start Main Menu -->
                    <nav id="nav" class="menu_container">
                        <ul class="menu" id="mainmenu">
                            <li class="active"><a href="/" class="parent">Главная</a></li>
                            [tools]<li>
                                <a class="parent">Инструменты</a>
                                <ul>
                                    {tools-menu}
                                </ul>
                            </li>[/tools]
                            <li><a href="http://xoo.pw/2-analizator.html" class="parent">Купить</a></li>
                            <li><a href="http://xoo.pw/contact/" class="parent">Контакты</a></li>
                            <li><a href="/admin.php" class="parent">Админ</a></li>
                        </ul>

                        <!-- Start Ads block -->
                        {banner-menu}
                        <!--/ End Ads block -->
                    </nav>
                    <!--/ End Main Menu -->
                </div>
                <!--/ End Container -->
            </header>
            <!--/ End Header Section -->

            <!-- Start 960 Container -->
            <div class="container">
                <!-- Start Content Section -->
                <section id="content">
                    {info}
                    {content}
                </section>
                <!--/ End Content Section -->

                <section class="row">
                    <section class="adbot-block">
                        <article>
                            {banner-bottom}
                        </article>
                    </section>
                </section>
            </div>
            <!--/ End 960 Container -->

            <!-- Start Footer -->
            <footer>
                <!-- Start 960 Container -->
                <div class="container">
                    <div class="four columns">
                        <article>
                            <h5>О скрипте</h5>
                            <p><b>Анализатор</b> в режиме онлайн предоставит комплексную информацию о Вашем ресурсе в популярных поисковых системах Google и Yandex</p>
                            <!-- Start Logo -->
                            <div class="logo">
                                <h1 class="title"><a href="/">АНАЛИЗАТОР</a></h1>
                            </div>
                            <!--/ End Logo -->
                        </article>
                    </div>
                    <div class="six columns">
                        <article class="last-site">
                            <h5>Последние сайты</h5>
                            {lastsite}
                        </article>
                    </div>
                    <div class="five columns">
                        <article>
                            <h5>Апдейты</h5>
                            {updates}
                        </article>
                    </div>
                    <br class="clear" />
                </div>
                <!--/ End 960 Container -->

                <!-- Start Bottom Footer -->
                <section class="footer-bottom">
                    <!-- Start 960 Container -->
                    <div class="container">
                        <div class="sixteen columns copyright">
                            <p><a href="http://xoo.pw" target="_blank">Анализатор</a> &copy; 2016</p>
                        </div>
                    </div>
                    <!--/ End 960 Container -->
                </section>
                <!--/ End Bottom Footer -->

                <!-- Start To Top Button -->
                <div class="totop">
                    <a id="totop" href="#top"></a>
                </div>
                <!--/ End To Top Button -->
            </footer>
            <!--/ End Footer -->
        </div>
        <!--/ End Template Wrapper -->

        <!-- Javascript File (misc) -->
        <script src="{theme}/js/plugins.js"></script>
        <script src="{theme}/js/application.js"></script>
        <script src="{theme}/plugins/highcharts/highcharts.js"></script>
        <script src="{theme}/plugins/highcharts/modules/exporting.js"></script>
    </body>
</html>