<?php
if (!defined ('ANL')){
	die ("Error: Access denied");
}

$table[] = "ALTER TABLE `analiz_sites` ADD `old_mr` double NOT NULL default 0 AFTER `mon_cnt`";
$table[] = "ALTER TABLE `analiz_sites` ADD `new_mr` double NOT NULL default 0 AFTER `old_mr`";
$table[] = "ALTER TABLE `analiz_sites` DROP COLUMN `old_pr`";
$table[] = "ALTER TABLE `analiz_sites` DROP COLUMN `new_pr`";
$table[] = "ALTER TABLE `analiz_sites` DROP COLUMN `alexa_linksin`";
$table[] = "ALTER TABLE `analiz_sites` CHANGE `alexa_rank` `alexa_rank` varchar(200) NOT NULL default ''";

$table[] = "CREATE TABLE IF NOT EXISTS `analiz_tools` (
        `id` MEDIUMINT(8) NOT NULL auto_increment,
        `name` varchar(40) NOT NULL default '',
  		`title` varchar(255) NOT NULL default '',
  		`descr` varchar(255) NOT NULL default '',
  		`keywords` text NOT NULL default '',
  		`tool_url` varchar(255) NOT NULL default '',
  		`status` tinyint(1) NOT NULL default 0,
  		`captcha` tinyint(1) NOT NULL default 0,
  		`about` text NOT NULL default '',
  		`ident` varchar(10) NOT NULL default '',
        PRIMARY KEY  (`id`),
		UNIQUE KEY `tool_url` (`tool_url`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8";

$table[] = "INSERT INTO `analiz_tools` (`id`, `name`, `title`, `descr`, `keywords`, `tool_url`, `status`, `captcha`, `about`, `ident`) VALUES(1, 'Конвертер punycode', 'Конвертер punycode', 'Cервис предназначен для преобразования русских доменных имён в кодировку Punycode', 'pr, тиц, позиции в яндексе, позиции в google, анализ сайта', 'punycode', 1, 0, 'Данный сервис предназначен для преобразования русских доменных имён в кодировку Punycode, которая используется в многоязычной системе доменных имён.&lt;br&gt;\r\nДля кодирования домена в Punycode введите имя русскоязычного домена и нажмите кнопку Перевести и через несколько секунд вы получите результат.', 'TL001');";
$table[] = "INSERT INTO `analiz_tools` (`id`, `name`, `title`, `descr`, `keywords`, `tool_url`, `status`, `captcha`, `about`, `ident`) VALUES(2, 'Whois', 'Информация об IP адресе или домене', 'Cервис позволяет узнать регистрационную информацию об IP адресе или домене', 'pr, тиц, позиции в яндексе, позиции в google, анализ сайта', 'whois', 1, 0, 'Данный сервис позволяет узнать регистрационную информацию об IP адресе или домене.&lt;br&gt;\r\nДля получения информации введите имя домена, нажмите кнопку Проверить и через несколько секунд вы получите результат.', 'TL002');";
$table[] = "INSERT INTO `analiz_tools` (`id`, `name`, `title`, `descr`, `keywords`, `tool_url`, `status`, `captcha`, `about`, `ident`) VALUES(3, 'Ответ сервера', 'Проверка ответа сервера', 'Сервис позволяет просмотреть заголовки ответа сервера и узнать код состояния HTTP', 'pr, тиц, позиции в яндексе, позиции в google, анализ сайта', 'headers', 1, 0, 'Данный сервис позволяет просмотреть заголовки ответа сервера и узнать код состояния HTTP. Это информация, которую сервер отправляет в ответ на HTTP запрос.&lt;br&gt;\r\nДля получения заголовков введите имя домена, нажмите кнопку Проверить и через несколько секунд вы получите результат.', 'TL003');";
$table[] = "INSERT INTO `analiz_tools` (`id`, `name`, `title`, `descr`, `keywords`, `tool_url`, `status`, `captcha`, `about`, `ident`) VALUES(4, 'Местоположение IP', 'Местоположение IP адреса', 'Сервис позволяет узнать подробную информацию о местоположении IP адреса', 'pr, тиц, позиции в яндексе, позиции в google, анализ сайта', 'iplocation', 1, 0, 'Данный сервис позволяет узнать подробную информацию о местоположении IP адреса.&lt;br&gt;\r\nДля получения информации введите IP адрес, нажмите кнопку Проверить и через несколько секунд вы получите результат.', 'TL004');";
$table[] = "INSERT INTO `analiz_tools` (`id`, `name`, `title`, `descr`, `keywords`, `tool_url`, `status`, `captcha`, `about`, `ident`) VALUES(5, 'IP адрес домена', 'IP адрес домена', 'Сервис позволяет узнать IP адрес домена', 'pr, тиц, позиции в яндексе, позиции в google, анализ сайта', 'ipdomain', 1, 0, 'Данный сервис позволяет узнать IP адрес домена.&lt;br&gt;\r\nДля получения информации введите IP адрес, нажмите кнопку Проверить и через несколько секунд вы получите результат.', 'TL005');";
$table[] = "INSERT INTO `analiz_tools` (`id`, `name`, `title`, `descr`, `keywords`, `tool_url`, `status`, `captcha`, `about`, `ident`) VALUES(6, 'Генератор мета-тегов', 'Генератор мета-тегов для сайта', 'Сервис позволяет генерироваться мета теги для вашего сайта', 'pr, тиц, позиции в яндексе, позиции в google, анализ сайта', 'gen-metatags', 1, 0, 'Данный сервис позволяет быстро генерировать мета теги для вашего сайта.&lt;br&gt;\r\nДля создания мета тегов последовательно заполните все необходимые поля, а затем нажмите кнопку Создать.', 'TL006');";
$table[] = "INSERT INTO `analiz_tools` (`id`, `name`, `title`, `descr`, `keywords`, `tool_url`, `status`, `captcha`, `about`, `ident`) VALUES(7, 'Анализ мета-тегов', 'Анализ мета-тегов на сайта', 'Сервис позволяет проанализировать мета-теги на выбранном сайте', 'pr, тиц, позиции в яндексе, позиции в google, анализ сайта', 'view-metatags', 1, 0, 'Сервис позволяет проанализировать мета-теги на выбранном сайте.&lt;br&gt;\r\nДля анализа мета тегов укажите адрес страницы, а затем нажмите кнопку Анализ. В течении нескольких секунд вы получите полную информацию о мета-тегах выбранного сайта.', 'TL007');";

foreach ($table as $sql) {
    $db->query ($sql) or die ($db->error);
}

$config['version_id'] = "1.9";
$config['moz_access_id'] = "";
$config['moz_secret_key'] = "";
$config['allow_updates_analysis'] = "1";

$handler = fopen (CONFIG_DIR . '/settings.php', "w") or die ("Извините, но невозможно записать информацию в файл <b>.config/settings.php</b>.<br />Проверьте правильность проставленного CHMOD!");
fwrite ($handler, "<?php \n\$config = array (\n");
foreach ($config as $name => $value) {
    fwrite ($handler, "'{$name}' => \"{$value}\",\n");
}
fwrite ($handler, ");\n\n?>");
fclose ($handler);

$content .= "<p>Обновление скрипта с версии <b>{$version_id}</b> до версии <b>{$new_version}</b> успешно завершено.<br>Нажмите далее для продолжения процессa обновления скрипта.</p>";
$content .= "<p><form method='get'><input type='hidden' name='next' value='start'><input type='submit' value='Далее'></form></p>";
?>