<?php
if (!defined ('ANL')){
	die ("Access denied!");
}

$template = new template (TEMPLATES_DIR_ADM);
$template->open ('banners.tpl', 'banners');
$template->set ('theme', "/modules/admin/skin", 'banners');

if (isset ($_GET['module']) AND $_GET['module'] == "banners" AND $_GET['action'] == "add") {

	if ($_SERVER['REQUEST_METHOD'] == "POST" AND isset ($_REQUEST['addfinal'])) {
		try {
		    $tag = translit (clear_form_text ($_REQUEST['banner_tag']));
		    $description = clear_form_text ($_REQUEST['description']);
		    $code_html = clear_form_text ($_REQUEST['code'], true);
		    $status = intval ($_REQUEST['status']);

		    if (empty ($tag)) {
		    	throw new Exception ("Название баннерного поля имеет не допустимое значение!");
		    }
		    if (empty ($description)) {
		    	throw new Exception ("Описание баннера имеет не допустимое значение!");
		    }
		    if (empty ($code_html)) {
		    	throw new Exception ("Код баннера имеет не допустимое значение!");
		    }

			$db->query ("INSERT INTO analiz_banners (tag, descr, code, status) VALUES ('$tag', '$description', '$code_html', $status)") or die ($db->error);
	    	@unlink (CONFIG_DIR . "/banners.json");

	    	$infomessage = "<div class=\"message success\"><p>Баннер успешно добавлен в базу данных. <a href=\"/admin.php?module=banners\">Вернуться назад</a></p></div>";

		} catch (Exception $e) {

			$infomessage = "<div class=\"message error\"><p>" . $e->getMessage() . " <a href=\"javascript:history.back();\">Вернуться назад</a></p></div>";

		}

	} else {

    	$template->set_block ('banners-add', '', 'banners');

	}

} elseif (isset ($_GET['module']) AND $_GET['module'] == "banners" AND $_GET['action'] == "delete") {
	try {
    	$id = intval ($_REQUEST['id']);

		if ($id == 0) {
			throw new Exception ("ID баннера имеет не допустимое значение!");
		}

		$result = $db->query ("SELECT id, tag FROM analiz_banners WHERE id = $id LIMIT 1") or die ($db->error);

		if ($result->num_rows == 0) {
			throw new Exception ("Выбранный баннер не найден!");
		}

		$row = $result->fetch_assoc();

		$db->query ("DELETE FROM analiz_banners WHERE id = {$row['id']}") or die ($db->error);
		@unlink (CONFIG_DIR . "/banners.json");

		$infomessage = "<div class=\"message success\"><p>Баннер {banner-{$row['tag']}} успешно удален из базы данных. <a href=\"/admin.php?module=banners\">Вернуться назад</a></p></div>";

	} catch (Exception $e) {

		$infomessage = "<div class=\"message error\"><p>" . $e->getMessage() . " <a href=\"javascript:history.back();\">Вернуться назад</a></p></div>";

	}

} elseif (isset ($_GET['module']) AND $_GET['module'] == "banners" AND $_GET['action'] == "edit") {

	if ($_SERVER['REQUEST_METHOD'] == "POST" AND isset ($_REQUEST['editfinal'])) {
		try {
		    $tag = translit (clear_form_text ($_REQUEST['banner_tag']));
		    $description = clear_form_text ($_REQUEST['description']);
		    $code_html = clear_form_text ($_REQUEST['code'], true);
		    $status = intval ($_REQUEST['status']);
		    $id = intval ($_REQUEST['id']);

		    if (empty ($tag)) {
		    	throw new Exception ("Название баннерного поля имеет не допустимое значение!");
		    }
		    if (empty ($description)) {
		    	throw new Exception ("Описание баннера имеет не допустимое значение!");
		    }
		    if (empty ($code_html)) {
		    	throw new Exception ("Код баннера имеет не допустимое значение!");
		    }
		    if ($id == 0) {
		    	throw new Exception ("ID баннера имеет не допустимое значение!");
		    }

		    $db->query ("UPDATE analiz_banners SET tag = '$tag', descr = '$description', code = '$code_html', status = $status WHERE id = $id") or die ($db->error);
		    @unlink (CONFIG_DIR . "/banners.json");

		    $infomessage = "<div class=\"message success\"><p>Баннер успешно отредактирован! <a href=\"/admin.php?module=banners\">Вернуться назад</a></p></div>";

		} catch (Exception $e) {

			$infomessage = "<div class=\"message error\"><p>" . $e->getMessage() . " <a href=\"javascript:history.back();\">Вернуться назад</a></p></div>";

		}

	} else {

	    $id = intval ($_REQUEST['id']);

		$result = $db->query ("SELECT id, tag, descr, code, status FROM analiz_banners WHERE id = $id") or die ($db->error);
	    $row = $result->fetch_assoc();

	    if ($result->num_rows > 0) {

	    	$status = "";
	    	$data = array ('0' => 'Выключен', '1' => 'Включен');
	        foreach ($data as $c => $val) {
	            $status .= ($c == $row['status']) ? "<option value=\"" . $c . "\" selected>" . $val . "</option>" : "<option value=\"" . $c . "\">" . $val . "</option>";
	        }

			$template->set_block ('banners-edit', '', 'banners');
			$template->set ('tag', $row['tag'], 'banners');
			$template->set ('description', $row['descr'], 'banners');
			$template->set ('code', $row['code'], 'banners');
			$template->set ('id', $row['id'], 'banners');
			$template->set ('status', $status, 'banners');

	    } else {

	    	$infomessage = "<div class=\"message error\"><p>Выбранный банер не найден! <a href=\"javascript:history.back();\">Вернуться назад</a></p></div>";

	    }
	}

} else {

    $result = $db->query ("SELECT id, tag, descr, code, status FROM analiz_banners ORDER BY id DESC") or die ($db->error);

    if ($result->num_rows > 0) {

    	$table = "";

		while ($row = $result->fetch_assoc()) {

			$status = ($row['status'] == 1) ? "Включен" : "Выключен";
            $table .= "<tr>
            		<td>{banner-{$row['tag']}}</td>
                    <td>{$row['descr']}</td>
                    <td><code>{$row['code']}</code></td>
                    <td>{$status}</td>
                    <td>
                    	<a href=\"/admin.php?module=banners&action=edit&id={$row['id']}\" title=\"Редактировать баннер\"><img src=\"/modules/admin/skin/icons/edit_m.png\"/></a>
                    	<a href=\"/admin.php?module=banners&action=delete&id={$row['id']}\" title=\"Удалить баннер\" onclick=\"return confirm('Вы действительно хотите удалить этот баннер?')\"><img src=\"/modules/admin/skin/icons/delete.png\"/></a>
                    </td>
                </tr>";

		}
        $result->free_result();

		$template->set_block ('banners-list', '', 'banners');
		$template->set ('banners-list', $table, 'banners');

    } else {

		$infomessage = "<div class='message warning'><p>Еще не добавлено ни одного баннера! <a href='/admin.php?module=banners&action=add'>Добавить банер</a></p></div>";

	}

}

$content = $template->compile ('banners', true);

?>