<?php
if (!defined ('ANL')){
	die ( "Access denied!" );
}

define ('REC_PHP_VER', "5.3.0");

$result = $db->query ("SELECT COUNT(*) as count FROM analiz_sites") or die ($db->error);
$row = $result->fetch_array ();
$stats_sites = $row['0'];

$result = $db->query ("SELECT COUNT(*) as count FROM analiz_users") or die ($db->error);
$row = $result->fetch_array();
$stats_users = $row['0'];

$result = $db->query ("SELECT date_created FROM analiz_users WHERE user_id = 1") or die ($db->error);
$row = $result->fetch_array();
$stats_date = DateRus ($row['0'], true);

//Проверки
$phpv = phpversion ();
$mysqli_connect = function_exists('mysqli_connect') ? '<font color=green>Да</font>' : '<font color=red>Нет</font>';
$curl = extension_loaded ('curl') ? '<font color=green>Да</font>' : '<font color=red>Нет</font>';
$mbstring = extension_loaded ('mbstring') ? '<font color=green>Да</font>' : '<font color=red>Нет</font>';
$SimpleXML = extension_loaded ('SimpleXML') ? '<font color=green>Да</font>' : '<font color=red>Нет</font>';
$libxml = extension_loaded ('libxml') ? '<font color=green>Да</font>' : '<font color=red>Нет</font>';
$iconv = function_exists ('iconv') ? '<font color=green>Да</font>' : '<font color=red>Нет</font>';
$safe_mode = ini_get('safe_mode') ? '<font color=red>Включено</font>' : '<font color=green>Выключено</font>';
$register_globals = ini_get('register_globals') ? '<font color=red>Включено</font>' : '<font color=green>Выключено</font>';
$magic_quotes = ini_get('magic_quotes_runtime') ? '<font color=red>Включено</font>' : '<font color=green>Выключено</font>';

if (@file_exists ("install.php")) {
	$error = "<font color=\"red\"><h4>Внимание ошибка безопасности:</h4><p>После установки скрипта Вы не удалили файл <b>install.php</b> - это делает Ваш сайт уязвимым. Прежде чем продолжить работу, удалите данный файл с Вашего сервера!</p></font>";
}

if (version_compare ($phpv, REC_PHP_VER, '<')) {
	$error .= "<font color=\"red\"><h4>Внимание!</h4><p>Версия PHP, установленная на сервере, устарела. Часть функций скрипта с этой версией PHP будет недоступна, поэтому мы рекомендуем связаться с администрацией хостинга для обновления версии PHP! Рекомендуемая версия PHP для работы скрипта не ниже " . REC_PHP_VER . "</p></font>";
    $phpversion = "<font color=red>{$phpv}</font>";
} else {
    $phpversion = "<font color=green>{$phpv}</font>";
}

/*if ($error == "") {
    $error = "Нет информации для отображения!";
} */

$content = <<<HTML
    <h2 class="jquery_tab_title">Панель управления</h2>
        <table width="99%" id="table_liquid" cellspacing="0" style="border: 1px solid #EEE;">
            <caption>&nbsp;</caption>
            <tr>
                <td style="padding:5px;" width="40%">Всего проверено сайтов</td>
                <td style="padding:5px;" width="60%"><a href="/admin.php?module=sites">{$stats_sites}</a></td>
            </tr>
            <tr>
                <td style="padding:5px;" width="40%">Всего зарегистрировано пользователей</td>
                <td style="padding:5px;" width="60%"><a href="/admin.php?module=users">{$stats_users}</a></td>
            </tr>
            <tr>
                <td style="padding:5px;" width="40%">Дата запуска сайта</td>
                <td style="padding:5px;" width="60%">{$stats_date}</td>
            </tr>
            <tr>
                <td style="padding:5px;" width="40%">Версия скрипта</td>
                <td style="padding:5px;" width="60%">{$config['version_id']}</td>
            </tr>
        </table>

    <h2>Тестирование системы</h2>
        <table id="table_liquid" cellspacing="0">
            <caption>&nbsp;</caption>
            <tr>
                <th class="nobg" width="50%">Минимальные требования</th>
                <th width="25%">Рекомендуемое значение</th>
                <th width="25%">Текущее значение</th>
            </tr>
            <tr>
                <td class="spec" width="50%">Версия PHP</td>
                <td width="25%" style="color:green">5.3.0</td>
                <td width="25%">$phpversion</td>
            </tr>
            <tr>
                <td class="spec" width="50%">Поддержка MySQLi</td>
                <td width="25%" style="color:green">Да</td>
                <td width="25%">$mysqli_connect</td>
            </tr>
            <tr>
                <td class="spec" width="50%">Поддержка Curl</td>
                <td width="25%" style="color:green">Да</td>
                <td width="25%">$curl</td>
            </tr>
            <tr>
                <td class="spec" width="50%">Поддержка Mbstring</td>
                <td width="25%" style="color:green">Да</td>
                <td width="25%">$mbstring</td>
            </tr>
            <tr>
                <td class="spec" width="50%">Поддержка SimpleXML</td>
                <td width="25%" style="color:green">Да</td>
                <td width="25%">$SimpleXML</td>
            </tr>
            <tr>
                <td class="spec" width="50%">Поддержка LibXML</td>
                <td width="25%" style="color:green">Да</td>
                <td width="25%">$libxml</td>
            </tr>
            <tr>
                <td class="spec" width="50%">Поддержка Iconv</td>
                <td width="25%" style="color:green">Да</td>
                <td width="25%">$iconv</td>
            </tr>
            <tr>
                <td class="spec" width="50%">Safe Mode</td>
                <td width="25%" style="color:green">Выключено</td>
                <td width="25%">$safe_mode</td>
            </tr>
            <tr>
                <td class="spec" width="50%">Magic Quotes</td>
                <td width="25%" style="color:green">Выключено</td>
                <td width="25%">$magic_quotes</td>
            </tr>
            <tr>
                <td class="spec" width="50%">Register Globals</td>
                <td width="25%" style="color:green">Выключено</td>
                <td width="25%">$register_globals</td>
            </tr>
        </table>
HTML;

if ($error == true) {
    $content .= <<<HTML
        <h2>Информация</h2>
            <div class="content-box box2">
                $error
            </div>
        <p>&nbsp;</p>
HTML;
}

?>