<?php
if (!defined ('ANL')){
	die ("Access denied!");
}

$template = new template (TEMPLATES_DIR_ADM);
$template->open ('tools.tpl', 'tools');
$template->set ('theme', "/modules/admin/skin", 'tools');

if (isset ($_GET['module']) AND $_GET['module'] == "tools" AND $_GET['action'] == "edit") {

	if ($_SERVER['REQUEST_METHOD'] == "POST" AND isset ($_REQUEST['editfinal'])) {
		try {
		    $name = clear_form_text ($_REQUEST['tool-name']);
		    $title = clear_form_text ($_REQUEST['title']);
		    $description = clear_form_text ($_REQUEST['description']);
		    $keywords = clear_form_text ($_REQUEST['keywords']);
		    $tool_url = clear_form_text ($_REQUEST['tool-url']);
		    $status = intval ($_REQUEST['status']);
		    $about = clear_form_text ($_REQUEST['about'], true);
		    $id = intval ($_REQUEST['id']);

		    $tool_url = translit (str_replace ("/", "", $tool_url));

		    if (empty ($name)) {
		    	throw new Exception ("Название инструмента имеет не допустимое значение!");
		    }
		    if (empty ($tool_url)) {
		    	throw new Exception ("URL инструмента имеет не допустимое значение!");
		    }
		    if ($id == 0) {
		    	throw new Exception ("ID инструмента имеет не допустимое значение!");
		    }

		    $db->query ("UPDATE `analiz_tools` SET name = '$name', `title` = '$title', descr = '$description', `keywords` = '$keywords', `tool_url` = '$tool_url', status = $status, about = '$about' WHERE `id` = $id") or die ($db->error);
		    $infomessage = "<div class=\"message success\"><p>Настройки инструмента успешно сохранены! <a href=\"/admin.php?module=tools\">Вернуться назад</a></p></div>";

		} catch (Exception $e) {

			$infomessage = "<div class=\"message error\"><p>" . $e->getMessage() . " <a href=\"javascript:history.back();\">Вернуться назад</a></p></div>";

		}

	} else {

	    $id = intval ($_REQUEST['id']);

		$result = $db->query ("SELECT `id`, `name`, `title`, `descr`, `keywords`, `tool_url`, `status`, `captcha`, `about`  FROM `analiz_tools` WHERE `id` = $id") or die ($db->error);
	    $row = $result->fetch_assoc();

	    if ($result->num_rows > 0) {

	    	$status = "";
	    	$data = array ('0' => 'Выключен', '1' => 'Включен');
	        foreach ($data as $c => $val) {
	            $status .= ($c == $row['status']) ? "<option value=\"" . $c . "\" selected>" . $val . "</option>" : "<option value=\"" . $c . "\">" . $val . "</option>";
	        }

			$template->set_block ('tools-edit', '', 'tools');
			$template->set ('tool-name', $row['name'], 'tools');
			$template->set ('title', $row['title'], 'tools');
			$template->set ('description', $row['descr'], 'tools');
			$template->set ('keywords', $row['keywords'], 'tools');
			$template->set ('tool-url', $row['tool_url'], 'tools');
			$template->set ('full-tool-url', "http://" . clean_url ($_SERVER['HTTP_HOST']) .  "/tools/" . $row['tool_url'] . "/", 'tools');
			$template->set ('id', $row['id'], 'tools');
			$template->set ('status', $status, 'tools');
			$template->set ('about', html_entity_decode ($row['about'], ENT_QUOTES, "UTF-8"), 'tools');

	    } else {

	    	$infomessage = "<div class=\"message error\"><p>Выбранный инструмент не найден! <a href=\"javascript:history.back();\">Вернуться назад</a></p></div>";

	    }

	}

} else {

	$result = $db->query ("SELECT `id`, `name`, `descr`, `status`  FROM `analiz_tools` ORDER BY `id` DESC") or die ($db->error);

	if ($result->num_rows > 0) {

    	$table = "";

		while ($row = $result->fetch_assoc()) {

			$status = ($row['status'] == 1) ? "Включен" : "<span class=\"red\">Выключен</span>";
            $table .= "<tr>
            		<td>{$row['id']}</td>
                    <td>{$row['name']}</td>
                    <td>{$row['descr']}</td>
                    <td>{$status}</td>
                    <td>
                    	<a href=\"/admin.php?module=tools&action=edit&id={$row['id']}\" title=\"Редактировать инструмент {$row['name']}\"><img src=\"/modules/admin/skin/icons/edit_m.png\"/></a>
                    </td>
                </tr>";

		}
        $result->free_result();

		$template->set_block ('tools-list', '', 'tools');
		$template->set ('tools-list', $table, 'tools');

    } else {

		$infomessage = "<div class='message warning'><p>Еще не добавлено ни одного инструмента!</p></div>";

	}

}

$content = $template->compile ('tools', true);

?>