<?php
if (!defined ('ANL')){
    die ("Access denied!");
}

$template = new template (TEMPLATES_DIR);
$template->open ('analysis.tpl', 'process');
$template->set ('theme', TEMPLATES_DIR, 'process');
$template->set ('analysis-form', $analysis_form, 'process');

if (isset ($_REQUEST['url'])) {

    $_REQUEST['url'] = trim (strip_tags ($_REQUEST['url']));
    $url = clean_url ($_REQUEST['url']);

    if ($_SERVER['REQUEST_METHOD'] == "POST" AND isset ($_POST['submit']) AND $_POST['submit'] == "process") {
        $_SESSION['is_form'] = true;
        header ('Location: /analysis/' . $url);
        die ();
    }

    $metatags['title'] = "Результат анализа сайта {$url}";

    $update = $config['update_time'] * 60 * 60;
    $clean_url = (substr ($url, 0, 4) == 'www.') ? substr ($url, 4) : $url;

    $result = $db->query ("SELECT `updated` FROM `analiz_sites` WHERE `url` = '$clean_url' LIMIT 1") or die ($db->error);
    $row = $result->fetch_assoc ();
    $result->free ();

    $allow_update = ($config['allow_updates_analysis'] == 1) ? true : false;

    if ($_SESSION['is_form'] == true) {
        $allow_update = true;
    }

    if ($allow_update AND (!$row['updated'] OR (strtotime ($row['updated']) + $update) < $_TIME)) {

        $_SESSION['request _type'] = "ajax";
        $_SESSION['is_form'] = false;
        session_write_close ();

        $script = " $(document).ready(function(){
                        checkurl('{$url}');
                    });";
        $template->set ('script', $script, 'process');
        $template->set_block ('process', '', 'process');
        $content = $template->compile ('process', true);

    } else {

        if ($config['allow_updates_analysis'] == 1) {

            $_POST['action'] = "process";
            $_POST['url'] = $url;
            include ENGINE_DIR . '/process.php';

        } else {

            $_GET['url'] = $url;
            include ENGINE_DIR . '/last_analysis.php';

        }
    }

} else {

    $template->set_block ('main', '', 'process');
    $content = $template->compile ('process', true);

}

$template->clear ('process');

?>