<?php
if (!defined ('ANL')){
    die ("Access denied!");
}

$url = clear_form_text ($_GET['url']);
$site_url = $url;

if (substr ($url, 0, 4) == 'www.') $url = substr ($url, 4);

$sql = "SELECT url, updated, screenshot, size, down_time, meta, old_cy, new_cy, rang_cy, ags, ya_glue, yaca, yaca_cat, yaca_descr, old_ya_index, new_ya_index, dmoz, old_gl_index, new_gl_index, ip_site, country_site,
        dc_site, reg_site, exp_site, age_site, web_arch, alexa_rank, alexa_country, solomono, url_links_num, mon_srv, mon_cnt, old_mr, new_mr, status
        FROM analiz_sites
        WHERE url = '$url'";
$result = $db->query ($sql) or die ($db->error);

if ($result->num_rows > 0) {

	$row = $result->fetch_assoc ();

	$scripts = array ();
	$up = DateRus (strtotime ($row['updated']), true);
	$metatags['title'] = "Результат анализа сайта {$site_url}";

    if (check_type ($row['url']) == 1) {
	    $row['punycode_site'] = punycode ($row['url']);
    }

	$template = new template (TEMPLATES_DIR);
	$template->open ('result.tpl', 'last');
	$template->set ('theme', TEMPLATES_DIR, 'last');
	$template->set ('site-link', ($config['allow_link_proxy'] == 1) ? $config['http_home_url'] . "/go.php?url=http://" . $row['url'] : "http://" . $row['url'], 'last');
	$template->set ('site-url', $row['url'], 'last');
	$template->set ('screen-url', $row['screenshot'], 'last');
	$template->set ('size', $row['size'], 'last');
	$template->set ('down-time', $row['down_time'], 'last');
	$template->set ('title-text', "Результат анализа сайта {$row['url']} от {$up}", 'last');
    $template->set_block ('result', '', 'last');

	if ($config['mod_meta_allow'] == 1) {
		$res_meta = explode ("|||", $row['meta']);

		$title = ($res_meta['0'] == true) ? $res_meta['0'] : '<i>Не найдено название в метатегах</i>';
		$descr = ($res_meta['1'] == true) ? str_replace (",", ", ", $res_meta['1']) : '<i>Не найдено описание в метатегах</i>';;
		$keyswords = ($res_meta['2'] == true) ? "Ключевые слова: " . str_replace (",", ", ", $res_meta['2']) : '';
	    $favicon = $res_meta['3'];

	    $template->set_block ('meta-tags', '', 'last');
	    $template->set ('title', $title, 'last');
	    $template->set ('favicon-url', $favicon, 'last');
	    $template->set ('description', $descr, 'last');
	    $template->set ('keyswords', $keyswords, 'last');
	    $template->set ('last-update', $up, 'last');
	}

	if ($config['mod_ya_allow'] == 1) {
		$yaca_cat = $row['yaca_cat'];
		if ($row['yaca'] == 1) {
		    $yaca = '<a href="http://yaca.yandex.ru/yca/cy/ch/' . $site_url .'" target="_blank" rel=\"tooltip\" original-title="' . $yaca_cat . '" class="green">Да</a>';
		} else {
		    $yaca = '<a href="http://yaca.yandex.ru/yca/cy/ch/' . $site_url .'" target="_blank" class="red">Нет</a>';
		}

		$ya_glue = ($row['ya_glue'] == false) ? "<span class=\"green\" rel=\"tooltip\" original-title=\"Яндекс не считает домен (тИЦ) склееным\">Нет</span>" : "<span class=\"red\" rel=\"tooltip\" original-title=\"Яндекс считает домен склееным (тИЦ) с " . $row['ya_glue'] . "\">Да</span>";
		$ya_ags = ($row['ags'] == true) ? "<span class=\"red\">АГС</span>": "<span class=\"green\">Нет</span>";

		$ya_diff_index_num = $row['new_ya_index'] - $row['old_ya_index'];
		if ($ya_diff_index_num != 0) {
		    $ya_diff_index = (strpos ($ya_diff_index_num, '-') !== false) ? "<span class=\"diff-text red\">-{$ya_diff_index_num}</span>" : "<span class=\"diff-text green\">+{$ya_diff_index_num}</span>";
		}
		$ya_diff_tic_num = $row['new_cy'] - $row['old_cy'];
		if ($ya_diff_tic_num != 0) {
		    $ya_diff_tic = (strpos ($ya_diff_tic_num, '-') !== false) ? "<span class=\"diff-text red\">-{$ya_diff_tic_num}</span>" : "<span class=\"diff-text green\">+{$ya_diff_tic_num}</span>";
		}

	    $template->set_block ('yandex', '', 'last');
	    $template->set ('tic-rang', "bar" . $row['rang_cy'], 'last');
	    $template->set ('ya-tic', $row['new_cy'] . " " . $ya_diff_tic, 'last');
	    $template->set ('yaca', $yaca, 'last');
	    $template->set ('sanctions', $ya_ags, 'last');
	    $template->set ('yaglue', $ya_glue, 'last');
	    $template->set ('ya-index', $row['new_ya_index'] . " " . $ya_diff_index, 'last');
	}

	if ($config['mod_google_allow']) {
		if ($row['dmoz'] == 1) {
			$dmoz = '<a href="http://www.dmoz.org/search/?q=u:' . $site_url . ' "target="_blank" class="green">Да</a>';
		} else {
			$dmoz = '<a href="http://www.dmoz.org/search/?q=u:' . $site_url . ' "target="_blank" class="red">Нет</a>';
		}

		$gl_diff_index = $row['new_gl_index'] - $row['old_gl_index'];
		if ($gl_diff_index != 0) {
		    $gl_diff = (strpos ($gl_diff_index, '-') !== false) ? "<span class=\"diff-text red\">-{$gl_diff_index}</span>" : "<span class=\"diff-text green\">+{$gl_diff_index}</span>";
		}
		$moz_diff_rank = $row['new_mr'] - $row['old_mr'];
		if ($moz_diff_rank != 0) {
		    $moz_diff = (strpos ($moz_diff_rank, '-') !== false) ? "<span class=\"diff-text red\">-{$moz_diff_rank}</span>" : "<span class=\"diff-text green\">+{$moz_diff_rank}</span>";
		}

	    $template->set_block ('google', '', 'last');
	    $template->set ('moz-rank', $row['new_mr'] . " " . $moz_diff, 'last');
	    $template->set ('dmoz', $dmoz, 'last');
	    $template->set ('google-index', $row['new_gl_index'] . " " . $gl_diff, 'last');
	}

	if ($config['mod_domain_info_allow'] == 1) {
		if ($row['country_site']) {
			$res_country = explode ("||", $row['country_site']);
			$country = "<img src=\"templates/{$config['template_name']}/img/flags/{$res_country['0']}.png\" alt=\"\" style=\"vertical-align:baseline\"> {$res_country['1']}";
		} else {
			$country = "Нет данных";
		}

	    if ($row['web_arch'] != 0) {
	    	$domain_wa = '<a href="http://web.archive.org/web/*/http://' . $site_url . '" target="_blank" class="green">Да, ' . $row['web_arch'] . '</a>';
	    } else {
	    	$domain_wa = '<a href="http://web.archive.org/web/*/http://' . $site_url . '" target="_blank" class="red">Нет</a>';
		}

		$template->set_block ('domain-info', '', 'last');
		$template->set ('site-ip', $row['ip_site'], 'last');
		$template->set ('country', $country, 'last');
		$template->set ('isp', $row['dc_site'], 'last');
		$template->set ('domain-creation', $row['reg_site'], 'last');
		$template->set ('domain-exp', $row['exp_site'], 'last');
		$template->set ('domain-age', $row['age_site'], 'last');
		$template->set ('domain-wa', $domain_wa, 'last');
	}

	if ($config['mod_arank_allow'] == 1) {
		$alexa_rank = json_decode ($row['alexa_rank'], true);
        $rank_country = (!empty ($alexa_rank[2])) ? '<img src="templates/' . $config['template_name'] . '/img/flags/' . $alexa_rank[2][0] . '.png" alt=""> ' . $alexa_rank[2][1] . ' ' . $alexa_rank[2][2] : "Нет данных";

	    $template->set_block ('alexa', '', 'last');
	    $template->set ('alexa-rank', $alexa_rank[0], 'last');
	    $template->set ('alexa-rep', $alexa_rank[1], 'last');
	     $template->set ('alexa-rank-country', $rank_country, 'last');
	    $template->set ('alexa-site-url', ($row['punycode_site']) ? $row['punycode_site'] : $row['url'], 'last');
	}

	if ($config['mod_sol_allow'] == 1) {
		$res_solomono = explode ("||", $row['solomono']);

		$template->set_block ('linkpad', '', 'last');
	    $template->set ('solomomo-mr', $res_solomono['0'], 'last');
	    $template->set ('solomomo-ip', $res_solomono['1'], 'last');
	    $template->set ('solomomo-dout', $res_solomono['2'], 'last');
	    $template->set ('solomomo-anchors', $res_solomono['3'], 'last');
	    $template->set ('solomomo-anchors-out', $res_solomono['4'], 'last');
	    $template->set ('solomomo-igood', str_replace ("/", " из ", $res_solomono['5']), 'last');
	    $template->set ('solomomo-hin', $res_solomono['6'], 'last');
	    $template->set ('solomomo-din', $res_solomono['7'], 'last');
	    $template->set ('solomomo-hout', $res_solomono['8'], 'last');
	}

	if ($config['mod_links_allow'] == 1) {
		if ($row['url_links_num'] != false) {
		    $site_links = json_decode ($row['url_links_num'], true) ;
		    $int_num = $site_links['int'];
		    $int_links_num = $site_links['int-rel'];
		    $ext_num = $site_links['ext'];
		    $ext_links_num = $site_links['ext-rel'];
		} else {
		    $int_num = 0;
		    $int_links_num = 0;
		    $ext_num = 0;
		    $ext_links_num = 0;
		}

	    $scripts['links'] = file_get_contents (ENGINE_DIR . "/libs/js/links_chart.js");
	    $scripts['links'] = str_replace("{int_links_num}", $int_num, $scripts['links']);
	    $scripts['links'] = str_replace("{ext_links_num}", $ext_num, $scripts['links']);

	    $template->set_block ('site-links', '', 'last');
	    $template->set ('internal-links', $link_int, 'last');
	    $template->set ('external-links', $link_ext, 'last');
	    $template->set ('int-links-num', $int_num, 'last');
	    $template->set ('ext-links-num', $ext_num, 'last');
	    $template->set ('int-links-rel-num', $int_num - $int_num_rel, 'last');
	    $template->set ('ext-links-rel-num', $ext_num - $ext_num_rel, 'last');
	}

	if ($config['mod_maj_allow'] == 1) {
	    $template->set_block ('majesticseo', '', 'last');
	}

	if ($config['mod_monitor_allow'] == 1) {
		$stat_counter = json_decode ($row['mon_cnt'], true);

		$counter_res = array (
        	'analytics' => array ('img' => 'googleanalytics.png', 'title' => 'Google Analytics'),
        	'metrica' => array ('img' => 'yandexmetrika.png', 'title' => 'Яндекс.Метрика'),
        	'li' => array ('img' => 'li.png', 'title' => 'LiveInternet'),
        	'openstat' => array ('img' => 'openstat.png', 'title' => 'Openstat')
        );

        $counters = "";
        foreach ($stat_counter as $k => $val) {
            if ($val == true) {
            	$counters .= '<p><img class="counter-icon" src="templates/' . $config['template_name'] . '/img/counters/' . $counter_res[$k]['img'] . '" alt="' . $counter_res[$k]['title'] . '">' . $counter_res[$k]['title'] . '</p>';
            }
        }

		$server = json_decode ($row['mon_srv'], true);
		$server_data = '<p>Код ответа <span class="textright">' . $server['http_code'] . '</p>';

		if ($server['server'] == true) {
		    $server_data .= '<p>Веб-сервер <span class="textright"><img class="counter-icon" src="templates/' . $config['template_name'] . '/img/counters/' . $server['server'][0] . '.png" alt="' . $server['server'][1] . '">' . $server['server'][1] . '</span></p>';
		}

		if ($server['rowered'] == true) {
		    $server_data .= '<p>Язык программирования <span class="textright"><img class="counter-icon" src="templates/' . $config['template_name'] . '/img/counters/' . $server['rowered'][0] . '.png" alt="' . $server['rowered'][1] . '">' . $server['rowered'][1] . '</span></p>';
		}

	    $template->set_block ('monitoring', '', 'last');
	    if (!empty ($counters)) {
	        $template->set_block ('counters', '', 'last');
	        $template->set ('counters', $counters, 'last');
	    }
	    if (!empty ($server_data)) {
	        $template->set_block ('server', '', 'last');
	        $template->set ('server', $server_data, 'last');
	    }
	}

    if ($config['mod_country_allow'] == 1) {
    	$top_country_alexa = json_decode ($row['alexa_country'], true);

        if (is_array ($top_country_alexa)) {

            if ($config['mod_country_type'] == 1) {

                $country_alexa = "";
                foreach ($top_country_alexa as $link => $stat){
                    $country_alexa .= '<tr>
                        <td><img src="templates/' . $config['template_name'] . '/img/flags/' . $stat["code"] . '.png" alt="">' . $stat["country"] . '</td>
                        <td>' . $stat["percent"] . '</td>
                    </tr>';
                }

                $template->set_block ('alexa-country', '', 'last');
                $template->set ('country-list', $country_alexa, 'last');

            } elseif ($config['mod_country_type'] == 2) {

                $country_alexa = array ();
                foreach ($top_country_alexa as $link => $stat) {
                    $country_alexa[] = '{name: "' . trim ($stat["country"]) . '", y: ' . intval ($stat["percent"]) . '}';
                }

                $scripts['country'] = file_get_contents (ENGINE_DIR . "/libs/js/country_pie.js");
                $scripts['country'] = str_replace ("{country}", implode (", ", $country_alexa), $scripts['country']);

                $template->set_block ('alexa-country-pie', '', 'last');

            }
        }
    }

    $template->set ('script', implode ("\n\r", $scripts), 'last');
    $template->set ('analysis-form', $analysis_form, 'last');
	$content = $template->compile ('last', true);

} else {

	$metatags['title'] = "Результат не найден!";
	$infomessage = message_box ("Ошибка!<br>", "Результаты анализа сайта <b>{$url}</b> не найдены!", 1);

}


?>