$(document).bind('ready ajaxComplete', function(){
    $('#country-pie').highcharts({
        chart: {
            plotBackgroundColor: null,
            plotBorderWidth: null,
            plotShadow: false,
            type: 'pie'
        },
        title: {
            text: 'Посетители по странам'
        },
        tooltip: {
            pointFormat: '{series.name}: {point.percentage:.1f}% ({point.y})'
        },
        plotOptions: {
            pie: {
                allowPointSelect: true,
                cursor: 'pointer',
                dataLabels: {
                    enabled: true,
                    format: '<b>{point.name}</b>: {point.percentage:.1f} %',
                    style: {
                        color: (Highcharts.theme && Highcharts.theme.contrastTextColor) || 'gray'
                    }
                }
            }
        },
        series: [{
            name: "Процентов",
            colorByPoint: true,
            colors: ["#97cc64", "#ffd963", "#fd5a3e", "#77b6e7", "#a955b8"],
            data: [{country}]
        }]
    });
});