$(document).bind('ready ajaxComplete', function(){
	// Position
	var youGeo = new google.maps.LatLng('{lat}', '{lon}');
	var cid = '{id}';
	var	country = '{country}';
	var	region = '{region}';
	var	city = '{city}';
	var	asn = '{asn}';

	//Zoom
	var mapZoom = (cid == 0) ? 5 : 12;

	// Creating a map
	var myOptions = {
		zoom: mapZoom,
		center: youGeo,
		mapTypeControlOptions: {
		    style: google.maps.MapTypeControlStyle.DROPDOWN_MENU
		},
		mapTypeId: google.maps.MapTypeId.ROADMAP,
		scrollwheel: false,
		disableDoubleClickZoom: true,
        draggable: false,
        scaleControl: true,
        streetViewControl: false
	};

	// See Maps
	var map = new google.maps.Map(document.getElementById("result"), myOptions);

	// Info
	var infoWindows = new google.maps.InfoWindow();

	// Info Content //&nbsp;
	var html = '';
	html += '<table class="contentString">';
	if (cid == 0)
		html += '<tr><td colspan="2" style="text-align:center;"><b>Информация об IP адресе не найдена!</b></td></tr>';
	else
		html += '<tr><td class="contentFirstTd"><b>Ваш IP:</td><td class="contentBigIp">{ip}</td></tr>';
	if (country != '') html += '<tr><td><b>Страна:</b></td><td>{flag} &nbsp;{country}</td></tr>';
	if (region != '') html += '<tr><td><b>Регион:</b></td><td>' + region + '</td></tr>';
	if (city != '') html += '<tr><td><b>Город:</b></td><td>' + city + '</td></tr>';
	if (asn != '') html += '<tr><td><b>Провайдер:</b></td><td>' + asn + '</td></tr>';
	html += '</table>';

	// Creating a home marker, info and positioning it on the map.
	infoWindows.setPosition(youGeo);
	infoWindows.setContent(html);
	infoWindows.open(map);

	var markerHome = new google.maps.Marker({
		position: youGeo,
		map: map,
		title: 'Местоположение IP адреса',
		clickable: false
	});
});