                {analysis-form}
                <span id="page-content">
                    <script type="text/javascript">
                        {script}
                    </script>
                    <!-- Start About -->
                    <section class="row">
                        <div class="sixteen columns">
                            <div class="seperator">
                                <h4 class="title">Результат анализа сайта {site-url} от {last-update}</h4>
                                <span class="line"></span>
                            </div>
                            Комплексный анализ сайта {site-url}, который поможет узнать его основные характеристики.
                        </div>
                    </section>
                    <!--/ End About -->

                    <!-- Start ScreenShot -->
                    <div class="four columns alpha sidebar-left">
                        <aside>
                            <div class="row screen">
                                <img src="{screen-url}" width="230" height="180" alt="Скриншот для сайта {site-url} загружается...">
                                <div class="size-info">Размер: {size} кб</div>
                                <div class="size-info">Время загрузки: {down-time} сек</div>
                            </div>
                            <br class="clear" />
                        </aside>
                    </div>
                    <!--/End ScreenShot -->

[meta-tags]
                    <!-- Start MetaTags -->
                    <div class="twelve columns omega">
                        <section class="row title-info">
                            <h2>{title}</h2>
                            <p class="url"><img src="{favicon-url}" width="16" height="16" class="img-favicon"> <a href="{site-link}" rel="nofollow" target="_blank">{site-url}</a></p>
                            <p>{description}</p>
                            <p>{keyswords}</p>
                            <div class="time-info">
                                <span>Результаты анализа от {last-update}</span>
                                <!--span>Следующее обновление не раньше {next-update}</span-->
                            </div>
                        </section>
                    </div>
                    <!--/ End MetaTags -->
[/meta-tags]
                    <br class="clear">
[yandex]
                    <!-- Start Yandex -->
                    <section class="row title-info">
                        <div class="one-third column">
                            <div class="seperator">
                                <h4 class="title">Показатели Яндекс</h4>
                                <span class="line"></span>
                            </div>
                                <p>Яндекс тИЦ <span class="textright"><img src="{theme}/img/rangs/ya/{tic-rang}.gif"> <a href="http://yaca.yandex.ru/yca/cy/ch/{site-url}" target="_blank">{ya-tic}</a></span></p>
                                <p>Яндекс Каталог <span class="textright">{yaca}</span></p>
                                <p>Проиндексировано <span class="textright"><a href="http://yandex.ru/yandsearch?text=host:{site-url}* | host:www.{site-url}*" target="_blank">{ya-index}</a></span></p>
                        </div>
                        <div class="one-third column">
                            <div class="seperator">
                                <span class="line-two"></span>
                            </div>
                            <div class="two-coll">
                                <p>Санкции Яндекса <span class="textright">{sanctions}</span></p>
                                <p>Проверка на клей <span class="textright">{yaglue}</span></p>
                                <p><a href="http://yandex.ru/yandsearch?text={site-url}&lr=0&noreask=1" target="_blank" class="link">Ссылаются на сайт</a></p>
                            </div>
                        </div>
                        <div class="one-third column">
                            <div class="seperator">
                                <span class="line-two"></span>
                            </div>
                            <div class="two-coll">
                                <p><a href="http://blogs.yandex.ru/search.xml?text=link%3D%22http%3A%2F%2F{site-url}%22&group=2&ft=all" target="_blank" class="link">Ссылки в блогах</a></p>
                                <p><a href="http://images.yandex.ru/yandsearch?itype=any&site={site-url}" target="_blank" class="link">Картинки сайта в поиске</a></p>
                                <p><a href="http://webmaster.yandex.ru/spellcheck.xml?checkurl={site-url}" target="_blank" class="link">Проверка орфографии на сайте</a></p>
                            </div>
                        </div>
                    </section>
                    <!--/ End Yandex -->
[/yandex]

[google]
                    <!-- Start Google -->
                    <section class="row title-info">
                        <div class="one-third column">
                            <div class="seperator">
                                <h4 class="title">Показатели Google</h4>
                                <span class="line"></span>
                            </div>
                                <p>Moz Rank <span class="textright">{moz-rank}</span></p>
                                <p>DMOZ.org каталог <span class="textright">{dmoz}</span></p>
                                <p>Проиндексировано <span class="textright"><a href="https://www.google.com/search?q=site:{site-url}" target="_blank">{google-index}</a></span></p>
                        </div>
                        <div class="one-third column">
                            <div class="seperator">
                                <span class="line-two"></span>
                            </div>
                                <div class="two-coll">
                                <p><a href="https://www.google.com/search?q=link:{site-url}" target="_blank" class="link">Ссылаются на сайт</a></p>
                                <p><a href="http://www.google.ru/search?safe=off&tbo=1&tbs=blg%3A1&q=link%3A{site-url}&btnG=%CF%EE%E8%F1%EA&lr=&aq=f&oq=" target="_blank" class="link">Ссылки в блогах</a></p>
                                <p><a href="http://www.google.ru/search?q=site:{site-url}&tbm=isch" target="_blank" class="link">Картинки сайта в поиске</a></p>
                            </div>
                        </div>
                        <div class="one-third column">
                            <div class="seperator">
                                <span class="line-two"></span>
                            </div>
                            <div class="two-coll">
                                <p><a href="https://www.google.com/search?hl=ru&q=info:{site-url}" target="_blank" class="link">Проверка склейки домена</a></p>
                                <p><a href="https://www.google.ru/search?q=related:{site-url}&filter=0" target="_blank" class="link">Похожие страницы в поиске</a></p>
                                <p><a href="http://webcache.googleusercontent.com/search?q=cache:{site-url}" target="_blank" class="link">Сохраненная страница в кеше</a></p>
                            </div>
                        </div>
                    </section>
                    <!--/ End Google -->
[/google]

[domain-info]
                    <!-- Start Info Domain -->
                    <section class="row title-info">
                        <div class="one-third column">
                            <div class="seperator">
                                <h4 class="title">Информация о домене</h4>
                                <span class="line"></span>
                            </div>
                                <p>IP сайта <span class="textright"><a href="http://www.bing.com/search?q=IP:{site-ip}&FORM=MSNH" target="_blank">{site-ip}</a></span></p>
                                <p>Страна <span class="textright">{country}</span></p>
                                <p>ДЦ <span class="textright">{isp}</span></p>
                        </div>
                        <div class="one-third column">
                            <div class="seperator">
                                <span class="line-two"></span>
                            </div>
                            <div class="two-coll">
                                <p>Дата регистрации <span class="textright">{domain-creation}</span></p>
                                <p>Дата окончания <span class="textright">{domain-exp}</span></p>
                                <p>Возраст сайта <span class="textright">{domain-age}</span></p>
                            </div>
                        </div>
                        <div class="one-third column">
                            <div class="seperator">
                                <span class="line-two"></span>
                            </div>
                            <div class="two-coll">
                                <p>Web Archive <span class="textright">{domain-wa}</span></p>
                                <p>История сервера <span class="textright"><a href="http://uptime.netcraft.com/up/graph?site={site-url}" target="_blank" class="green">Да</a></span></p>
                                <p> <span class="textright"></span></p>
                            </div>
                        </div>
                    </section>
                    <!--/ End Info Domain-->
[/domain-info]

[alexa]
                    <!-- Start Alexa -->
                    <section class="row title-info">
                        <div class="one-third column">
                            <div class="seperator">
                                <h4 class="title">Alexa Rank</h4>
                                <span class="line"></span>
                            </div>
                                <p>Alexa Rank <span class="textright">{alexa-rank}</span></p>
                                <p>Alexa Reputation <span class="textright">{alexa-rep}</span></p>
                        </div>
                        <div class="nine column">
                            <div class="seperator">
                                <span class="line-two"></span>
                            </div>
                                <table width="600px" class="table-top">
                                    <tr>
                                        <td>
                                            <a href="http://alexa.com/data/details/traffic_details?url={alexa-site-url}" target="_blank" rel="nofollow">
                                            <img id="alexaGraph" src="http://traffic.alexa.com/graph?w=410&h=150&o=f&c=1&y=t&b=ffffff&n=666666&r=3m&u={alexa-site-url}" width="410" height="150"></a>
                                            <div class="alexa-scale">
                                                <b>За период:</b>
                                                <a href="#" class="alexaInterval" onclick="return changeAlexaInterval(this, '7d')">7 дней</a>
                                                <a href="#" class="alexaInterval" onclick="return changeAlexaInterval(this, '1m')">1 месяц</a>
                                                <a href="#" class="alexaInterval here" onclick="return changeAlexaInterval(this, '3m')">3 месяца</a>
                                                <a href="#" class="alexaInterval" onclick="return changeAlexaInterval(this, '6m')">6 месяцев</a>
                                                <a href="#" class="alexaInterval" onclick="return changeAlexaInterval(this, '2y')">максимум</a>
                                            </div>
                                        </td>

                                        <td>
                                            <div class="alexa-menu">
                                                <ul>
                                                    <li><a href="#" class="alexaType here" onclick="return changeAlexaType(this, 't')"><span>Traffic Rank</span></a></li>
                                                    <li><a href="#" class="alexaType" onclick="return changeAlexaType(this, 'r')"><span>Доля интернет</span></a></li>
                                                    <li><a href="#" class="alexaType" onclick="return changeAlexaType(this, 'p')"><span>Просмотры</span></a></li>
                                                    <li><a href="#" class="alexaType" onclick="return changeAlexaType(this, 'u')"><span>Просмотры на пользователя</span></a></li>
                                                    <li><a href="#" class="alexaType" onclick="return changeAlexaType(this, 'b')"><span>% Отказов</span></a></li>
                                                    <li><a href="#" class="alexaType" onclick="return changeAlexaType(this, 's')"><span>Время на сайте</span></a></li>
                                                    <li><a href="#" class="alexaType" onclick="return changeAlexaType(this, 'q')"><span>Поисковые системы %</span></a></li>
                                                </ul>
                                            </div>
                                        </td>
                                    </tr>
                                </table>
                            {jsalexa}
                        </div>
                    </section>
                    <!--/ End Alexa -->
[/alexa]

[alexa-country]
                    <!-- Start Alexa country -->
                    <section class="row title-info">
                        <div class="sixteen columns">
                            <div class="seperator">
                                <h4 class="title">Посетители по странам</h4>
                                <span class="line"></span>
                            </div>
                            <table class="table-map">
                                <tr>
                                    <td widht="50%"><strong>Страна</strong></td>
                                    <td widht="50%"><strong>Процент</strong></td>
                                </tr>
                                {country-list}
                            </table>
                        </div>
                    </section>
                    <!--/ End Alexa country -->
[/alexa-country]

[alexa-country-pie]
                    <!-- Start Alexa country -->
                    <section class="row title-info">
                        <div class="sixteen columns">
                            <div class="seperator">
                                <h4 class="title">Посетители по странам</h4>
                                <span class="line"></span>
                            </div>
                            <div id="country-pie"></div>
                        </div>
                    </section>
                    <!--/ End Alexa country -->
[/alexa-country-pie]

[linkpad]
                    <!-- Start Solomono -->
                    <section class="row title-info">
                        <div class="one-third column">
                            <div class="seperator">
                                <h4 class="title">Показатели от LinkPad</h4>
                                <span class="line"></span>
                            </div>
                                <p>Всего зеркал домена <span class="textright">{solomomo-mr}</span></p>
                                <p>Домены на том же IP <span class="textright">{solomomo-ip}</span></p>
                                <p>Ссылается на домены  <span class="textright">{solomomo-dout}</span></p>
                        </div>
                        <div class="one-third column">
                            <div class="seperator">
                                <span class="line-two"></span>
                            </div>
                                <div class="two-coll">
                                <p>Кол-во анкоров <span class="textright">{solomomo-anchors}</span></p>
                                <p>Кол-во исходящих анкоров <span class="textright">{solomomo-anchors-out}</span></p>
                                <p>Кол-во iGood доноров <span class="textright">{solomomo-igood}</span></p>
                            </div>
                        </div>
                        <div class="one-third column">
                            <div class="seperator">
                                <span class="line-two"></span>
                            </div>
                            <div class="two-coll">
                                <p>Кол-во ссылок на домен <span class="textright">{solomomo-hin}</span></p>
                                <p>Кол-во доноров <span class="textright">{solomomo-din}</span></p>
                                <p>Исходящие ссылки домена <span class="textright">{solomomo-hout}</span></p>
                            </div>
                        </div>
                    </section>
                    <!--/ End Solomono -->
[/linkpad]

[site-links]
                    <!-- Start Links Site -->
                    <section class="row title-info">
                        <div class="sixteen columns">
                            <div class="seperator">
                                <h4 class="title">Ссылки на странице</h4>
                                <span class="line"></span>
                            </div>
                            <div id="links-chart"></div>
                            <p style="margin-top:10px;">
                                Внутренние ссылки — {int-links-num}, индексируется — {int-links-rel-num}
                                <span class="textright">Внешние ссылки — {ext-links-num}, индексируется — {ext-links-rel-num}</span>
                            </p>
                        </div>
                    </section>
                    <!--/ End Links Site -->
[/site-links]

[majesticseo]
                    <!-- Start Majestic SEO -->
                    <section class="row title-info">
                        <div class="eight columns">
                            <div class="seperator">
                                <h4 class="title">Рост обратных ссылок</h4>
                                <span class="line"></span>
                            </div>
                            <p><img src="http://www.majesticseo.com/charts/backlinks-discovery-chart?d={site-url}&w=450&h=150&t=l&a=1&ctype=0&entries=82" alt=""></p>
                        </div>
                        <div class="eight columns">
                            <div class="seperator">
                                <h4 class="title">Рост ссылающихся доменов</h4>
                                <span class="line"></span>
                            </div>
                            <p><img src="http://www.majesticseo.com/charts/referring-domains-discovery-chart?d={site-url}&w=450&h=150&t=rd&a=1&ctype=0&entries=82" alt=""></p>
                        </div>
                    </section>

                    <section class="row title-info">
                        <div class="eight columns">
                            <div class="seperator">
                                <h4 class="title">График обратных ссылок</h4>
                                <span class="line"></span>
                            </div>
                            <p><img src="http://www.majesticseo.com/charts/backlinks-discovery-chart?d={site-url}&w=450&h=150&entries=12&ctype=2" alt=""></p>
                        </div>
                        <div class="eight columns">
                            <div class="seperator">
                                <h4 class="title">График ссылающихся доменов</h4>
                                <span class="line"></span>
                            </div>
                            <p><img src="http://www.majesticseo.com/charts/referring-domains-discovery?d={site-url}&w=450&h=150&entries=12&ctype=2" alt=""></p>
                        </div>
                    </section>
                    <!--/ End Majestic SEO -->
[/majesticseo]

[monitoring]
                    <!-- Start Monitoring -->
                    <section class="row title-info">
                        [server]
                        <div class="eight columns">
                            <div class="seperator">
                                <h4 class="title">Мониторинг сайта</h4>
                                <span class="line"></span>
                            </div>
                            {server}
                        </div>
                        [/server]
                        [counters]
                        <div class="eight columns">
                            <div class="seperator">
                                <h4 class="title">Счетчики на странице</h4>
                                <span class="line"></span>
                            </div>
                            {counters}
                        </div>
                        [/counters]
                    </section>
                    <!--/ End Monitoring -->
[/monitoring]

                <div class="seperator"><span class="line"></span></div><br>
            </span>
