[punycode]
                    <section class="row title-info">
                        <div class="sixteen columns">
                            <div class="seperator">
                                <h4 class="title">{tool-name}</h4>
                                <span class="line"></span>
                            </div>
                            {about}
                        </div>
                    </section>

                    <!-- Start Callout -->
                    <section class="row">
                        <div class="sixteen columns">
                            <article class="callout-form">
                                <header>
                                    <form action="/tools/punycode/" method="post" class="toolsform" id="puncode">
                                        <div class="form-col-8">
                                        	<input type="text" name="url" data-type="puncode" class="form-input" id="url"placeholder="Введите домен…" />
                                        </div>
                                        <div class="form-col-2">
                                        	<a type="button" class="button big-form primary" id="submit" onClick="puncode();">Перевести</a>
                                        </div>
                                    </form>
                                    <span style="display:none" id="error"></span>
                                </header>
                            </article>
                            <noscript>
                                <div class="alert-error" data-action="close">
                                    <p><strong>Внимание!</strong> В вашем браузере отключен <strong>JavaScript</strong>. Для работы с сайтом, необходимо, чтобы <strong>JavaScript</strong> был включен.. После того, как Вы включите <strong>JavaScript</strong>, перезагрузите страницу (F5).</p>
                                </div>
                            </noscript>
                        </div>
                    </section>
                    <!--/ End Callout -->

                    <!--/ Start Result -->
                    <section class="row">
                    	<div class="sixteen columns">
                    		<span id="result"></span>
                    	</div>
                    </section>
                    <!--/ End Result -->
[/punycode]

[headers]
                    <section class="row title-info">
                        <div class="sixteen columns">
                            <div class="seperator">
                                <h4 class="title">Проверка ответа сервера</h4>
                                <span class="line"></span>
                            </div>
                            {about}
                        </div>
                    </section>

                    <!-- Start Callout -->
                    <section class="row">
                        <div class="sixteen columns">
                            <article class="callout-form">
                                <header>
                                    <form action="/tools/headers/" method="post" class="toolsform" id="headers">
                                        <div class="form-col-8">
                                        	<input type="text" name="url" data-type="headers" class="form-input" id="url"placeholder="Введите домен…" />
                                        </div>
                                        <div class="form-col-2">
                                        	<a type="button" class="button big-form primary" id="submit" onClick="get_headers();">Проверить</a>
                                        </div>
                                    </form>
                                    <span style="display:none" id="error"></span>
                                </header>
                            </article>
                            <noscript>
                                <div class="alert-error" data-action="close">
                                    <p><strong>Внимание!</strong> В вашем браузере отключен <strong>JavaScript</strong>. Для работы с сайтом, необходимо, чтобы <strong>JavaScript</strong> был включен.. После того, как Вы включите <strong>JavaScript</strong>, перезагрузите страницу (F5).</p>
                                </div>
                            </noscript>
                        </div>
                    </section>
                    <!--/ End Callout -->

                    <!--/ Start Result -->
                    <section class="row">
                    	<div class="sixteen columns">
                    		<span id="result"></span>
                    	</div>
                    </section>
                    <!--/ End Result -->
[/headers]

[whois]
                    <section class="row title-info">
                        <div class="sixteen columns">
                            <div class="seperator">
                                <h4 class="title">Информация об IP адресе или домене</h4>
                                <span class="line"></span>
                            </div>
                            {about}
                        </div>
                    </section>

                    <!-- Start Callout -->
                    <section class="row">
                        <div class="sixteen columns">
                            <article class="callout-form">
                                <header>
                                    <form action="/tools/whois/" method="post" class="toolsform" id="whois">
                                        <div class="form-col-8">
                                        	<input type="text" name="url" data-type="whois" class="form-input" id="url"placeholder="Введите домен…" />
                                        </div>
                                        <div class="form-col-2">
                                        	<a type="button" class="button big-form primary" id="submit" onClick="get_whois();">Проверить</a>
                                        </div>
                                    </form>
                                    <span style="display:none" id="error"></span>
                                </header>
                            </article>
                            <noscript>
                                <div class="alert-error" data-action="close">
                                    <p><strong>Внимание!</strong> В вашем браузере отключен <strong>JavaScript</strong>. Для работы с сайтом, необходимо, чтобы <strong>JavaScript</strong> был включен.. После того, как Вы включите <strong>JavaScript</strong>, перезагрузите страницу (F5).</p>
                                </div>
                            </noscript>
                        </div>
                    </section>
                    <!--/ End Callout -->

                    <!--/ Start Result -->
                    <section class="row">
                    	<div class="sixteen columns">
                    		<span id="result"></span>
                    	</div>
                    </section>
                    <!--/ End Result -->
[/whois]

[iplocation]
                    <section class="row title-info">
                        <div class="sixteen columns">
                            <div class="seperator">
                                <h4 class="title">Местоположение IP адреса</h4>
                                <span class="line"></span>
                            </div>
                            {about}
                        </div>
                    </section>

                    <!-- Start Callout -->
                    <section class="row">
                        <div class="sixteen columns">
                            <article class="callout-form">
                                <header>
                                    <form action="/tools/iplocation/" method="post" class="toolsform" id="iplocation">
                                        <div class="form-col-8">
                                            <input type="text" name="ip" value="{ip}" data-type="iplocation" class="form-input" id="ip" placeholder="Введите IP адрес..." />
                                        </div>
                                        <div class="form-col-2">
                                            <a type="button" class="button big-form primary" id="submit" onClick="get_ip_location();">Проверить</a>
                                        </div>
                                    </form>
                                    <span style="display:none" id="error"></span>
                                </header>
                            </article>
                            <noscript>
                                <div class="alert-error" data-action="close">
                                    <p><strong>Внимание!</strong> В вашем браузере отключен <strong>JavaScript</strong>. Для работы с сайтом, необходимо, чтобы <strong>JavaScript</strong> был включен.. После того, как Вы включите <strong>JavaScript</strong>, перезагрузите страницу (F5).</p>
                                </div>
                            </noscript>
                        </div>
                    </section>
                    <!--/ End Callout -->

                    <!--/ Start Result -->
                    <section class="row">
                        <div class="sixteen columns">
                            <span id="prepere" style="display:none"></span>
                            <div class="tools-response whois">
                                <div id="result" style="width:100%; height:500px"></div>
                            </div>
                        </div>
                    </section>
                    <!--/ End Result -->

                    <script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=false&language=ru"></script>
                    <script type="text/javascript" id="script">
                        {script}
                    </script>
[/iplocation]

[ipdomain]
                    <section class="row title-info">
                        <div class="sixteen columns">
                            <div class="seperator">
                                <h4 class="title">IP адрес домена</h4>
                                <span class="line"></span>
                            </div>
                            {about}
                        </div>
                    </section>

                    <!-- Start Callout -->
                    <section class="row">
                        <div class="sixteen columns">
                            <article class="callout-form">
                                <header>
                                    <form action="/tools/ipdomain/" method="post" class="toolsform" id="ipdomain">
                                        <div class="form-col-8">
                                            <input type="text" name="url" data-type="ipdomain" class="form-input" id="url" placeholder="Введите адрес домена..." />
                                        </div>
                                        <div class="form-col-2">
                                            <a type="button" class="button big-form primary" id="submit" onClick="get_ip_domain();">Проверить</a>
                                        </div>
                                    </form>
                                    <span style="display:none" id="error"></span>
                                </header>
                            </article>
                            <noscript>
                                <div class="alert-error" data-action="close">
                                    <p><strong>Внимание!</strong> В вашем браузере отключен <strong>JavaScript</strong>. Для работы с сайтом, необходимо, чтобы <strong>JavaScript</strong> был включен.. После того, как Вы включите <strong>JavaScript</strong>, перезагрузите страницу (F5).</p>
                                </div>
                            </noscript>
                        </div>
                    </section>
                    <!--/ End Callout -->

                    <!--/ Start Result -->
                    <section class="row">
                        <div class="sixteen columns">
                            <span id="result"></span>
                        </div>
                    </section>
                    <!--/ End Result -->
[/ipdomain]

[gen-metatags]
                    <section class="row title-info">
                        <div class="sixteen columns">
                            <div class="seperator">
                                <h4 class="title">{tool-name}</h4>
                                <span class="line"></span>
                            </div>
                            {about}
                        </div>
                    </section>

					<section class="row" id="error" style="display: none;">
	                    <div class="sixteen columns">
	                    	<div class="alert-error" id="error-msg" data-action="close"></div>
	                    </div>
	                </section>

                    <section class="row">
                        <div class="sixteen columns">
                            <form id="gen_meta" class="control">
	                            <div class="row">
	                            	<div class="four columns">
	                            		<label for="metatitle" class="label-control">Заголовок страницы</label>
	                            	</div>
	                            	<div class="nine columns">
	                            		<input type="text" id="metatitle" name="title" placeholder="Название сайта не должно превышать 70 символов" class="form-control"/>
	                            	</div>
	                            </div>

	                            <div class="row">
	                            	<div class="four columns">
	                            		<label for="description" class="label-control">Описание страницы</label>
	                            	</div>
	                            	<div class="nine columns">
	                            		<textarea id="description" name="description" placeholder="Описание сайта не должно превышать 150 символов"></textarea>
	                            	</div>
	                            </div>

	                            <div class="row">
	                            	<div class="four columns">
	                            		<label for="keywords" class="label-control">Ключевые слова (через запятую)</label>
	                            	</div>
	                            	<div class="nine columns">
	                            		<textarea id="keywords" name="keywords" placeholder="keywords1, keywords2, keywords3"></textarea>
	                            	</div>
	                            </div>

	                            <div class="row">
	                            	<div class="four columns">
	                            		<label for="robotsIndex" class="label-control">Разрешить роботам индексировать сайт</label>
	                            	</div>
	                            	<div class="nine columns">
	                            		<select name="robotsIndex" id="robotsIndex" class="form-control">
											<option value="index" selected="">Разрешить</option>
											<option value="noindex">Запретить</option>
										</select>
	                            	</div>
	                            </div>

	                            <div class="row">
	                            	<div class="four columns">
	                            		<label for="robotsLinks" class="label-control">Разрешить роботам переходить по ссылкам на странице</label>
	                            	</div>
	                            	<div class="nine columns">
	                            		<select name="robotsLinks" id="robotsIndex" class="form-control">
											<option value="follow" selected="">Разрешить</option>
											<option value="nofollow">Запретить</option>
										</select>
	                            	</div>
	                            </div>

	                            <div class="row">
	                            	<div class="four columns">
	                            		<label for="contentType" class="label-control">Кодировка сайта</label>
	                            	</div>
	                            	<div class="nine columns">
	                            		<select name="contentType" id="robotsIndex" class="form-control">
											<option value="text/html; charset=utf-8" selected>UTF-8</option>
											<option value="text/html; charset=utf-16">UTF-16</option>
											<option value="text/html; charset=windows-1251">WINDOWS-1251</option>
											<option value="text/html; charset=windows-1252">WINDOWS-1252</option>
											<option value="text/html; charset=iso-8859-1">ISO-8859-1</option>
											<option value="text/html; charset=iso-8859-2">ISO-8859-2</option>
											<option value="text/html; charset=iso-8859-3">ISO-8859-3</option>
											<option value="text/html; charset=iso-8859-4">ISO-8859-4</option>
											<option value="text/html; charset=iso-8859-5">ISO-8859-5</option>
											<option value="text/html; charset=iso-8859-6">ISO-8859-6</option>
											<option value="text/html; charset=iso-8859-7">ISO-8859-7</option>
											<option value="text/html; charset=iso-8859-8">ISO-8859-8</option>
											<option value="text/html; charset=iso-8859-9">ISO-8859-9</option>
											<option value="text/html; charset=koi8-r">KOI8-R</option>
										</select>
	                            	</div>
	                            </div>

	                            <div class="row">
	                            	<div class="four columns">
	                            		<label for="language" class="label-control">Язык содержимого сайта</label>
	                            	</div>
	                            	<div class="nine columns">
	                            		<select name="language" class="form-control">
											<option value="English">Аншлийский</option>
											<option value="French">Французский</option>
					                        <option value="Spanish">Испанский</option>
					                        <option value="Russian">Русский</option>
											<option value="Arabic">Арабский</option>
											<option value="Japanese">Японсмкий</option>
											<option value="Korean">Корейский</option>
											<option value="Hindi">Хинди</option>
											<option value="Portuguese">Португальский</option>
											<option value="N/A" selected>Не создавать</option>
										</select>
	                            	</div>
	                            </div>

	                            <div class="row">
	                            	<div class="four columns">
	                            		<label for="authorname" class="label-control">Автор страницы</label>
	                            	</div>
	                            	<div class="nine columns">
	                            		<input type="text" id="authorname" name="authorname" class="form-control"/>
	                            	</div>
	                            </div>

                                <button type="submit" class="button primary" onClick="gen_meta_tags();">Создать</button>
                                <button type="reset" class="button">Очистить</button>
                            </form>
                        </div>
                    </section>

                    <!--/ Start Result -->
                    <section class="row" id="result-block" style="display: none;">
                        <div class="sixteen columns">
                            <span id="result"></span>
                        </div>
                    </section>
                    <!--/ End Result -->
[/gen-metatags]

[analys-metatags]
                    <section class="row title-info">
                        <div class="sixteen columns">
                            <div class="seperator">
                                <h4 class="title">{tool-name}</h4>
                                <span class="line"></span>
                            </div>
                            {about}
                        </div>
                    </section>

                    <!-- Start Callout -->
                    <section class="row">
                        <div class="sixteen columns">
                            <article class="callout-form">
                                <header>
                                    <form action="/tools/" method="post" class="toolsform" id="analys-meta">
                                        <div class="form-col-8">
                                        	<input type="text" name="url" data-type="analys-meta" class="form-input" id="url" placeholder="Введите адрес страницы…" />
                                        </div>
                                        <div class="form-col-2">
                                        	<a type="button" class="button big-form primary" id="submit" onClick="analys_metatags();">Анализ</a>
                                        </div>
                                    </form>
                                    <span style="display:none" id="error"></span>
                                </header>
                            </article>
                            <noscript>
                                <div class="alert-error" data-action="close">
                                    <p><strong>Внимание!</strong> В вашем браузере отключен <strong>JavaScript</strong>. Для работы с сайтом, необходимо, чтобы <strong>JavaScript</strong> был включен.. После того, как Вы включите <strong>JavaScript</strong>, перезагрузите страницу (F5).</p>
                                </div>
                            </noscript>
                        </div>
                    </section>
                    <!--/ End Callout -->

                    <!--/ Start Result -->
                    <section class="row" id="result-block" style="display: none;">
                    	<div class="sixteen columns">
                    		<span id="result"></span>
                    	</div>
                    </section>
                    <!--/ End Result -->
[/analys-metatags]