<?php
if (!defined ('ANL')){
	die ("Error: Access denied");
}

$config['version_id'] = "1.2";
$config['mod_meta_allow'] = "1";
$config['mod_headers_allow'] = "1";
$config['mod_dns_allow'] = "1";
$config['mod_map_allow'] = "0";
$config['mod_listat_allow'] = "1";
$config['mod_maj_allow'] = "1";
$config['mod_sol_allow'] = "1";
$config['mod_arank_allow'] = "1";
$config['mod_ya_allow'] = "1";
$config['mod_google_allow'] = "1";
$config['mod_whois_allow'] = "1";
$config['mod_links_allow'] = "1";
$config['mod_update'] = "1";
unset ($config['auth_domain']);
unset ($config['license_key']);

$result = $db->query ("SELECT id, added, updated FROM analiz_sites") or die ($db->error);

$table = array();
$table[] = "ALTER TABLE analiz_sites ADD site_links text NOT NULL default '' AFTER solomono";
$table[] = "ALTER TABLE analiz_sites ADD down_time double NOT NULL default 0 AFTER size";
$table[] = "ALTER TABLE analiz_sites ADD status tinyint(1) NOT NULL default 0 AFTER site_links";

$table[] = "ALTER TABLE analiz_sites CHANGE added added datetime NOT NULL default '0000-00-00 00:00:00'";
$table[] = "ALTER TABLE analiz_sites CHANGE updated updated datetime NOT NULL default '0000-00-00 00:00:00'";

$table[] = "DROP TABLE IF EXISTS analiz_updserp";
$table[] = "CREATE TABLE IF NOT EXISTS analiz_updserp (
		    id int(11) NOT NULL AUTO_INCREMENT,
	        cy datetime NOT NULL default '0000-00-00 00:00:00',
	        base datetime NOT NULL default '0000-00-00 00:00:00',
	        pr datetime NOT NULL default '0000-00-00 00:00:00',
            PRIMARY KEY (id)
) ENGINE=MyISAM DEFAULT CHARSET=utf8";

foreach ($table as $sql) {
    $db->query ($sql) or die ($db->error);
}

while ($row = $result->fetch_assoc()) {

    $added = date ("Y-m-d H:i:s", $row['added']);
    $updated = date ("Y-m-d H:i:s", $row['updated']);
    $db->query ("UPDATE analiz_sites SET added = '$added', updated = '$updated' WHERE id = '{$row['id']}'") or die ($db->error);

}

$handler = fopen (CONFIG_DIR . '/settings.php', "w") or die("Извините, но невозможно записать информацию в файл <b>.config/settings.php</b>.<br />Проверьте правильность проставленного CHMOD!");
fwrite ($handler, "<?php \n\$config = array (\n");
foreach ($config as $name => $value) {
    fwrite ($handler, "'{$name}' => \"{$value}\",\n");
}
fwrite ($handler, ");\n\n?>");
fclose ($handler);

$config_dbhost = DB_HOST;
$config_dbname = DB_NAME;
$config_dblogin = DB_LOGIN;
$config_dbpasswd = DB_PASS;

$dbconfig = "<?php
define (\"DB_HOST\", \"{$config_dbhost}\");
define (\"DB_NAME\", \"{$config_dbname}\");
define (\"DB_LOGIN\", \"{$config_dblogin}\");
define (\"DB_PASS\", \"{$config_dbpasswd}\");

function display_error_mysql (\$error_num, \$error) {

echo <<<HTML
<html xmlns=\"http://www.w3.org/1999/xhtml\">
<head>
<title>MySQL Fatal Error</title>
<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\" />
<style type=\"text/css\">
body {font-family: Verdana, Arial, Helvetica, sans-serif;font-size: 12px;font-style: normal;color: #000000;}
.top {color: #ffffff;font-size: 15px;font-weight: bold;padding-left: 20px;padding-top: 10px;padding-bottom: 10px;text-shadow: 0 1px 1px rgba(0, 0, 0, 0.75);background-color: #AB2B2D;background-repeat: repeat-x;border-bottom: 1px solid #ffffff;}
.box {margin: 10px; padding: 4px; background-color: #EFEDED; border: 1px solid #DEDCDC;}
</style>
</head>
<body>
	<div style=\"width: 700px; height: auto; position: relative; left: 50%; top: 100px; margin-left: -350px; padding:20px; border:1px solid #ccc; -webkit-border-radius:5px;-moz-border-radius:5px;border-radius:5px;\">
		<div class=\"top\">MySQL Error!</div>
		<div class=\"box\">Error Number: <b>{\$error_num}</b></div>
		<div class=\"box\">The Error returned was:<br /> <b>{\$error}</b></div>
	</div>
</body>
</html>
HTML;

}

try {

    @\$db = new mysqli (DB_HOST, DB_LOGIN, DB_PASS, DB_NAME);

    if (\$db->connect_errno) {
        throw new Exception (display_error_mysql (\$db->connect_errno, \$db->connect_error));
    }

} catch (Exception \$e) {

    echo \$e->getMessage();
    die();

}

\$db->query (\"SET NAMES 'utf8'\");
\$db->query (\"SET CHARACTER SET 'utf8'\");
\$db->query (\"SET SESSION collation_connection = 'utf8_general_ci'\");

?>";

$con_file = fopen (CONFIG_DIR . "/dbconfig.php", "w+") or die ("Извините, но невозможно записать информацию в файл <b>/config/dbconfig.php</b>.<br> Проверьте правильность проставленного CHMOD!");
fwrite ($con_file, $dbconfig);
fclose ($con_file);

@unlink (ENGINE_DIR . '/config/cookie.txt');
@unlink (ENGINE_DIR . '/config/dbconfig.php');
@unlink (ENGINE_DIR . '/config/settings.php');
if (is_dir (ENGINE_DIR . '/config')) @rmdir (ENGINE_DIR . '/config');

$content .= "<p>Обновление базы данных с версии <b>1.1</b> до версии <b>1.2</b> успешно завершено.<br>Нажмите далее для продолжения процессa обновления скрипта.</p>";
$content .= "<p><form method='get'><input type='hidden' name='next' value='start'><input type='submit' value='Далее'></form></p>";
?>